﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CityDistrictList.aspx.cs" Inherits="Yaklasim.Admin.CityDistrictList" %>

<%@ Register Src="UserControl/UCHeader.ascx" TagName="UCHeader" TagPrefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">

    <title>Şehir Listesi</title>
    <script type="text/javascript" src="/Scripts/Message.js"></script>
    <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
    <script type="text/javascript" src="/Scripts/Modal.js"></script>
    <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
    <script type="text/javascript">
        function PopupRefresh() {
            window.document.getElementById('btnList').click();
        }
    </script>

</head>
<body>
  <form id="form1" runat="server">
  <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>
      <table cellpadding="0" cellspacing="0" border="0" width="100%">
        <tr>
          <td>
            <uc1:UCHeader ID="UCHeader2" runat="server" />
          </td>
        </tr>
        <tr>
          <td>
            <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td class="RCUL">
                  &nbsp;
                </td>
                <td class="RCUM">
                  İlçe Arama
                </td>
                <td class="RCUR">
                  &nbsp;
                </td>
              </tr>
              <tr>
                <td class="RCML">
                </td>
                <td class="RCMM">
                  <table class="Filter" align="center">
                    <tr>
                      <td class="FilterCaption">
                        İlçe Adı
                      </td>
                      <td>
                        :
                      </td>
                      <td class="FilterObject">
                        <asp:TextBox ID="txtCityDistrictName" MaxLength="50" CssClass="txt" runat="server"></asp:TextBox>
                      </td>
                    </tr>
                   <%-- <tr>
                      <td class="FilterCaption">
                        Ülke
                      </td>
                      <td>
                        :
                      </td>
                      <td class="FilterObject">
                        <asp:DropDownList ID="ddlCountry" runat="server"  AutoPostBack="true"
                          onselectedindexchanged="ddlCountry_SelectedIndexChanged">
                        </asp:DropDownList>
                      </td>
                    </tr>--%>
                    <tr>
                      <td class="FilterCaption">
                        Şehir
                      </td>
                      <td>
                        :
                      </td>
                      <td class="FilterObject">
                        <asp:DropDownList ID="ddlCity" runat="server">
                        </asp:DropDownList>
                      </td>
                    </tr>
                    <tr>
                      <td class="FilterCaption">
                        Durum
                      </td>
                      <td>
                        :
                      </td>
                      <td class="FilterObject">
                        <asp:DropDownList ID="ddlStatus" runat="server">
                          <asp:ListItem Text="Seçiniz" Value="-1"></asp:ListItem>
                          <asp:ListItem Text="Aktif" Value="1"></asp:ListItem>
                          <asp:ListItem Text="Pasif" Value="0"></asp:ListItem>
                        </asp:DropDownList>
                      </td>
                    </tr>
                    <tr>
                      <td colspan="3" align="right">
                        <asp:Button ID="btnList" runat="server" Text="Listele" CssClass="btn1" OnClick="btnList_Click" />
                      </td>
                    </tr>
                  </table>
                </td>
                <td class="RCMR">
                </td>
              </tr>
              <tr>
                <td class="RCBL">
                  &nbsp;
                </td>
                <td class="RCBM">
                  &nbsp;
                </td>
                <td class="RCBR">
                  &nbsp;
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>
            &nbsp;
          </td>
        </tr>
        <tr>
          <td>
            <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td class="RCUL">
                  &nbsp;
                </td>
                <td class="RCUM">
                  İlçe Listesi
                  <asp:Label ID="lblCount" runat="server"></asp:Label>
                  <img style="cursor: pointer" src="/Images/StyleImages/Admin/categoryadd.png" onclick="popitup_cAdd()" />
                </td>
                <td class="RCUR">
                  &nbsp;
                </td>
              </tr>
              <tr>
                <td class="RCML">
                </td>
                <td class="RCMM">
                  <table class="Grid" cellpadding="0" cellspacing="0" border="0">
                    <tr>
                      <th>
                        #
                      </th>
                      <th>
                        İlçe Adı
                      </th>
                      <th>
                        Şehir Adı
                      </th>
                      <th colspan="4">
                        İşlemlerim
                      </th>
                    </tr>
                    <asp:Repeater ID="rptCityDistrictList" runat="server" OnItemCommand="rptCityDistrictList_ItemCommand"
                      OnItemDataBound="rptCityDistrictList_ItemDataBound">
                      <ItemTemplate>
                        <tr class="GridItem">
                          <td>
                            <%#DataBinder.Eval(Container.DataItem, "ID")%>
                          </td>
                          <td>
                            <%#DataBinder.Eval(Container.DataItem, "NAME")%>
                          </td>
                        <%--  <td>
                            <%#DataBinder.Eval(Container.DataItem, "CITY.NAME")%>
                          </td>--%>
                          <td>
                            <asp:ImageButton ID="ibUp" runat="server" CommandName="UpMe" CommandArgument='<%# Eval("ID")%>'
                              Width="20" Height="20" ImageUrl="images/up.png" ToolTip="Yukarı Taşı" />
                          </td>
                          <td>
                            <asp:ImageButton ID="ibDown" runat="server" CommandName="DownMe" CommandArgument='<%# Eval("ID")%>'
                              Width="20" Height="20" ImageUrl="images/down.png" ToolTip="Aşağı Taşı" />
                          </td>
                          <td>
                            <img class="GridItemImage" src="/Images/StyleImages/Admin/ListItemDetail.png" title="Güncelle"
                              onclick="popitup_c(<%#DataBinder.Eval(Container.DataItem, "ID")%>)" />
                          </td>
                          <td>
                            <asp:ImageButton ID="imgDelete" runat="server" CommandName="Delete" CommandArgument='<%# Eval("ID")%>'
                              OnClientClick="return confirm('Silmek istediğinizden emin misiniz?');" Width="20"
                              Height="20" ImageUrl="images/sil.png" ToolTip="Sil" />
                          </td>
                        </tr>
                      </ItemTemplate>
                      <AlternatingItemTemplate>
                        <tr class="GridItem">
                          <td>
                            <%#DataBinder.Eval(Container.DataItem, "ID")%>
                          </td>
                          <td>
                            <%#DataBinder.Eval(Container.DataItem, "NAME")%>
                          </td>
                         <%-- <td>
                            <%#DataBinder.Eval(Container.DataItem, "CITY.NAME")%>
                          </td>--%>
                          <td>
                            <asp:ImageButton ID="ibUp" runat="server" CommandName="UpMe" CommandArgument='<%# Eval("ID")%>'
                              Width="20" Height="20" ImageUrl="images/up.png" ToolTip="Yukarı Taşı" />
                          </td>
                          <td>
                            <asp:ImageButton ID="ibDown" runat="server" CommandName="DownMe" CommandArgument='<%# Eval("ID")%>'
                              Width="20" Height="20" ImageUrl="images/down.png" ToolTip="Aşağı Taşı" />
                          </td>
                          <td>
                            <img class="GridItemImage" src="/Images/StyleImages/Admin/ListItemDetail.png" title="Güncelle"
                              onclick="popitup_c(<%#DataBinder.Eval(Container.DataItem, "ID")%>)" />
                          </td>
                          <td>
                            <asp:ImageButton ID="imgDelete" runat="server" CommandName="Delete" CommandArgument='<%# Eval("ID")%>'
                              OnClientClick="return confirm('Silmek istediğinizden emin misiniz?');" Width="20"
                              Height="20" ImageUrl="images/sil.png" ToolTip="Sil" />
                          </td>
                        </tr>
                      </AlternatingItemTemplate>
                    </asp:Repeater>
                  </table>
                </td>
                <td class="RCMR">
                </td>
              </tr>
              <tr>
                <td class="RCMM" colspan="6">
                  <asp:Repeater ID="rptPages" runat="server" OnItemCommand="rptPages_ItemCommand">
                    <HeaderTemplate>
                      <table class="Grid" cellpadding="0" cellspacing="0" border="0" align="left">
                        <tr class="text">
                          <td>
                            &nbsp;
                          </td>
                        </tr>
                        <tr class="text">
                          <td class="Grid">
                            <b>Sayfa:<%# PagingPadding()%></b>&nbsp;
                          </td>
                          <td>
                    </HeaderTemplate>
                    <ItemTemplate>
                      <asp:LinkButton ID="btnPage" CommandName="Page" CommandArgument="<%# Container.DataItem %>"
                        runat="server"><%# Container.DataItem %>
                      </asp:LinkButton>&nbsp;
                    </ItemTemplate>
                    <FooterTemplate>
                      </td> </tr> </table>
                    </FooterTemplate>
                  </asp:Repeater>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </ContentTemplate>
  </asp:UpdatePanel>
  </form>
  <script language="javascript" type="text/javascript">
      function popitup_c(id) {
          ShowModal('CityDistrictUpdate.aspx?CityDistrictId=' + id, 350, 120, 'İlçe Güncelleme');
      }
      function popitup_cAdd() {
          ShowModal('CityDistrictUpdate.aspx', 350, 120, 'İlçe Ekleme');
      }
  </script>
</body>
</html>
