﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MagazineArticleList.aspx.cs"
    Inherits="Yaklasim.Admin.MagazineArticleList" %>

<%@ Register Src="UserControl/UCHeader.ascx" TagName="UCHeader" TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head2" runat="server">
    <title>Dergi Makale Listesi</title>
    <script type="text/javascript" src="/Scripts/Message.js"></script>
    <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
    <script type="text/javascript" src="/Scripts/Modal.js"></script>
    <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
</head>
<body>
    <form id="form2" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                <tr>
                    <td>
                        <uc1:UCHeader ID="ucHeader1" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td class="RCUL">
                                    &nbsp;
                                </td>
                                <td class="RCUM">
                                    Dergi Arama
                                </td>
                                <td class="RCUR">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="RCML">
                                </td>
                                <td class="RCMM">
                                    <table class="Filter" align="center">
                                        <tr>
                                            <td class="FilterCaption">
                                                Yıl
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:DropDownList ID="ddlYear" runat="server">
                                                </asp:DropDownList>
                                            </td>
                                            <td class="FilterCaption">
                                                Ay
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:DropDownList ID="ddlMonth" runat="server">
                                                </asp:DropDownList>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="FilterCaption">
                                                Konu
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox ID="txtSubject" runat="server"></asp:TextBox>
                                            </td>
                                            <td class="FilterCaption">
                                            </td>
                                            <td>
                                            </td>
                                            <td class="FilterObject">
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="6" align="right">
                                                <asp:Button ID="btnList" runat="server" CssClass="btn1" Text="Listele" OnClick="btnList_Click" />
                                            </td>
                                            <td>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td class="RCMR">
                                </td>
                            </tr>
                            <tr>
                                <td class="RCBL">
                                    &nbsp;
                                </td>
                                <td class="RCBM">
                                    &nbsp;
                                </td>
                                <td class="RCBR">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td class="RCUL">
                                    &nbsp;
                                </td>
                                <td class="RCUM">
                                    Makale Listesi
                                    <img src="/Images/StyleImages/Admin/categoryadd.png" width="30" height="25" title="Yeni Kayıt"
                                        onclick="popitup_cAdd()" />
                                </td>
                                <td class="RCUR">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="RCML">
                                </td>
                                <td class="RCMM">
                                    <table class="Grid" cellpadding="0" cellspacing="0" border="0">
                                        <tr>
                                            <th>
                                                Dönem
                                            </th>
                                            <th>
                                                Konu
                                            </th>
                                            <th>
                                                İçerik
                                            </th>
                                             <th>
                                                Okunma Sayısı
                                            </th>
                                            <th >
                                                Sıra
                                            </th>
                                           
                                            <th colspan="2">
                                                İşlem
                                            </th>
                                        </tr>
                                        <asp:Repeater ID="rptList" runat="server" OnItemCommand="rptList_ItemCommand" OnItemDataBound="rptList_ItemDataBound">
                                            <ItemTemplate>
                                                <tr class="GridItem">
                                                    <td>
                                                        <%# Eval("TIME") %>
                                                    </td>
                                                    <td>
                                                        <%#Eval("SUBJECT")%>
                                                    </td>
                                                   
                                                    <td>
                                                        <%# Eval("SORT") %>
                                                    </td>
                                                 <td align ="center">
                                                     <asp:Label ID ="lblReadCount" runat="server"></asp:Label>
                                                    </td>

                                                    <td>
                                                        <asp:ImageButton ID="ibUp" runat="server" CommandName="Down" CommandArgument='<%# Eval("ID")%>'
                                                            Width="20" Height="20" ImageUrl="images/up.png" ToolTip="Yukarı Taşı" />
                                                    </td>
                                                    <td>
                                                        <asp:ImageButton ID="ibDown" runat="server" CommandName="Up" CommandArgument='<%# Eval("ID")%>'
                                                            Width="20" Height="20" ImageUrl="images/down.png" ToolTip="Aşağı Taşı" />
                                                    </td>
                                                    <td>
                                                        <img class="GridImg" src="/Images/StyleImages/Admin/ListItemDetail.png" title="Güncelle"
                                                            onclick="popitup_cUpd(<%#DataBinder.Eval(Container.DataItem, "ID")%>)" />
                                                        <asp:ImageButton ID="imgDelete" runat="server" CommandName="Delete" CommandArgument='<%# Eval("ID")%>'
                                                            OnClientClick="return confirm('Silmek istediğinizden emin misiniz?');" Width="20"
                                                            Height="20" ImageUrl="images/sil.png" ToolTip="Sil" />
                                                    </td>
                                                </tr>
                                            </ItemTemplate>
                                        </asp:Repeater>
                                    </table>
                                </td>
                                <td class="RCMR">
                                </td>
                            </tr>
                            <tr>
                                <td class="RCBL">
                                    &nbsp;
                                </td>
                                <td class="RCBM">
                                    &nbsp;
                                </td>
                                <td class="RCBR">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </ContentTemplate>
    </asp:UpdatePanel>
    <script language="javascript" type="text/javascript">
        function popitup_cAdd() {
            ShowModal('MagazineArticleUpdate.aspx', 1000, 600, 'Makale Ekleme');
        }
        function popitup_cUpd(val) {
            ShowModal('MagazineArticleUpdate.aspx?ID=' + val, 1000, 600, 'Makale Güncelleme');
        }
    </script>
    </form>
</body>
</html>
