﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MagazineUpdate.aspx.cs"
    Inherits="Yaklasim.Admin.MagazineUpdate" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Dergi Bilgileri</title>
    <script type="text/javascript" src="/Scripts/Message.js"></script>
    <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
    <script type="text/javascript" src="/Scripts/Modal.js"></script>
    <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
    <script type="text/javascript" language="javascript">

        function popitup_cAdd(id) {
            ShowModal('ImageUpload.aspx?MEMBERID=' + id, 400, 400, 'Resim Yükleme');
        }

        function popitup_c1(id, prid) {
            ShowModal('ImageUpload.aspx?MEMBERID=' + id, 400, 400, 'Resim Güncelleme');
        }

        function popitup_cUpd(val) {
            ShowModal('MembershipUpdate.aspx?MEMBERSHIPID=' + val, 400, 400, 'Baglı Olduğu Kategori Güncelleme');
        }
        function popitup_cShipAdd(val) {
            ShowModal('MembershipUpdate.aspx?MEMBERID=' + val, 400, 400, 'Baglı Olduğu Kategori Ekleme');
        }

        function ListProductList() {
            var hf = window.parent.document.getElementById('btnList');
            fp('btnList').click();
        }

    </script>
    <script type="text/javascript" language="javascript">
        function PopupClosed() {
            if (window.parent.location.pathname != "/Default.aspx") {
                fp('btnList').click();
            }
            CloseModal(window.top.modalCount);
        }
    </script>
    <style>
        .rpt
        {
            font-family: Arial;
            font-size: 11px;
            color: #292929;
            width: 40px;
        }
        .tbl
        {
        }
        .tbl tr
        {
            height: 22px;
        }
        .tbl td
        {
            padding: 1px 1px 1px 2px;
        }
        .alt
        {
            background-color: #A7DEFC;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="scrptmngr" runat="server">
    </asp:ScriptManager>
    <div id="divPageContainer" class="popPageContainer">
        <asp:UpdatePanel ID="up" runat="server">
            <ContentTemplate>
                <table cellpadding="0" cellspacing="0" border="0" width="100%">
                    <tr>
                        <td>
                            <telerik:RadTabStrip ID="rtDetail" runat="server" MultiPageID="rmDetail" Width="100%"
                                SelectedIndex="0" ShowBaseLine="true">
                                <Tabs>
                                    <telerik:RadTab Text="Dergi Bilgileri" PageViewID="pvNewProduct">
                                    </telerik:RadTab>
                                </Tabs>
                            </telerik:RadTabStrip>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <telerik:RadMultiPage ID="rmDetail" runat="server" Width="100%" SelectedIndex="0"
                                CssClass="MPPanel">
                                <telerik:RadPageView ID="pvNewProduct" runat="server">
                                    <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                                        <tr>
                                            <td class="RCUL">
                                                &nbsp;
                                            </td>
                                            <td class="RCUM">
                                                Dergi Bilgileri
                                            </td>
                                            <td class="RCUR">
                                                &nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="RCML">
                                            </td>
                                            <td class="RCMM">
                                                <table class="Filter" align="center">
                                                    <tr>
                                                        <td class="FilterCaption">
                                                            Yıl
                                                        </td>
                                                        <td>
                                                            :
                                                        </td>
                                                        <td class="FilterObject">
                                                            <asp:DropDownList ID="ddlYear" runat="server">
                                                            </asp:DropDownList>
                                                            <span style="color: Red">*</span>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="FilterCaption">
                                                            Ay
                                                        </td>
                                                        <td>
                                                            :
                                                        </td>
                                                        <td class="FilterObject">
                                                            <asp:DropDownList ID="ddlMonth" runat="server">
                                                            </asp:DropDownList>
                                                            <span style="color: Red">*</span>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="FilterCaption">
                                                            Numara
                                                        </td>
                                                        <td>
                                                            :
                                                        </td>
                                                        <td class="FilterObject">
                                                            <asp:TextBox ID="txtNumber" runat="server"></asp:TextBox>
                                                            <span style="color: Red">*</span>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="FilterCaption">
                                                            Fiyat
                                                        </td>
                                                        <td>
                                                            :
                                                        </td>
                                                        <td class="FilterObject">
                                                            <telerik:RadNumericTextBox ID="rdPrice" runat="server">
                                                                <NumberFormat GroupSeparator="," DecimalDigits="2" />
                                                            </telerik:RadNumericTextBox>
                                                            <span style="color: Red">*</span>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="FilterCaption">
                                                            Aktif
                                                        </td>
                                                        <td>
                                                            :
                                                        </td>
                                                        <td class="FilterObject">
                                                            <asp:CheckBox ID="chcActive" runat="server" />
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td class="FilterCaption">
                                                            Kapak Resmi
                                                        </td>
                                                        <td>
                                                            :
                                                        </td>
                                                        <td class="FilterObject">
                                                            <asp:FileUpload ID="flMagazine" runat="server" />
                                                            <span style="color: Red">*</span>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="3">
                                                            <asp:Image ID="imgMagazine" runat="server" Visible="false"/>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td colspan="3" align="right">
                                                            <asp:Button ID="btnSave" runat="server" CssClass="btn1" Text="Kaydet" OnClick="btnSave_Click" />
                                                        </td>
                                                    </tr>
                                                </table>
                                </telerik:RadPageView>
                            </telerik:RadMultiPage>
                        </td>
                    </tr>
                </table>
            </ContentTemplate>
             <Triggers>
            <asp:PostBackTrigger ControlID="btnSave" />
            </Triggers>
        </asp:UpdatePanel>
    </div>
    </form>
</body>
</html>
