﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MemberList.aspx.cs" Inherits="Yaklasim.Admin.MemberList" %>

<%@ Register Src="UserControl/UCHeader.ascx" TagName="UCHeader" TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head2" runat="server">
    <title>Üye Listesi</title>
    <%--    <script type="text/javascript" src="/Scripts/Message.js"></script>
    <script type="text/javascript" src="Scripts/ddtabmenu.js"></script>
    <script type="text/javascript" src="Scripts/Modal.js"></script>
    <link rel="stylesheet" type="text/css" href="Styles/Admin.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="Styles/AdminMenu.css" media="screen" />--%>
    <script type="text/javascript" src="/Scripts/Message.js"></script>
    <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
    <script type="text/javascript" src="/Scripts/Modal.js"></script>
    <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
</head>
<body>
    <form id="form2" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Always" RenderMode="Block">
        <ContentTemplate>
            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                <tr>
                    <td>
                        <uc1:UCHeader ID="ucHeader1" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td class="RCUL">
                                    &nbsp;
                                </td>
                                <td class="RCUM">
                                    Üye Arama
                                </td>
                                <td class="RCUR">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="RCML">
                                </td>
                                <td class="RCMM">
                                    <table class="Filter" align="center">
                                        <tr>
                                            <td class="FilterCaption">
                                                Ad
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox ID="txtName" runat="server"></asp:TextBox>
                                            </td>
                                            <td class="FilterCaption">
                                                Soyad
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox ID="txtSurname" runat="server"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="FilterCaption">
                                                Kullanıcı Adı
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox ID="txtLoginName" runat="server"></asp:TextBox>
                                            </td>
                                            <td class="FilterCaption">
                                                Bayi
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:DropDownList ID="drpBranches" runat="server">
                                                </asp:DropDownList>
                                            </td>
                                            <td>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="FilterCaption">
                                                Şehir Adı
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:DropDownList runat="server" ID="drpCity">
                                                </asp:DropDownList>
                                            </td>
                                            <td class="FilterCaption">
                                                Firma Adı
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox runat="server" ID="txtCompanyName" />
                                            </td>
                                            <td>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="FilterCaption">
                                                Son Giriş Tarihi Başlangıç
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <telerik:RadDatePicker ID="txtStartDate" runat="server" Culture="tr-TR" Width="100">
                                                </telerik:RadDatePicker>
                                            </td>
                                            <td class="FilterCaption">
                                                Son Giriş Tarihi Bitiş
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <telerik:RadDatePicker ID="txtEndDate" runat="server" Culture="tr-TR" Width="100">
                                                </telerik:RadDatePicker>
                                            </td>
                                            <td>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="FilterCaption">
                                                Protokol
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:CheckBox Text="" runat="server" ID="chkProtocol" />
                                            </td>
                                            <td class="FilterCaption">
                                            Demo 
                                            </td>
                                            <td>
                                            :
                                            </td>
                                            <td>
                                                <asp:CheckBox ID="chbDemoRequest" runat="server" />
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="FilterCaption">
                                                Kayıt Olduğu Yer'e Göre Sıralama
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:DropDownList ID="drpLoginLocation" runat="server">
                                                <asp:ListItem Text="Seçiniz" Value="0"></asp:ListItem>
                                                 <asp:ListItem Text="Ön Yüzden Kayıt Olanlar" Value="2"></asp:ListItem>
                                                  <asp:ListItem Text="Yönetim Panelinden Kayıt Olanlar" Value="1"></asp:ListItem>
                                                   <asp:ListItem Text="Aktarım İle Gelenler" Value="3"></asp:ListItem>
                                                </asp:DropDownList>
                                            </td>
                                             <td class="FilterCaption">
                                            Durum 
                                            </td>
                                            <td>
                                            :
                                            </td>
                                            <td>
                                                <asp:CheckBox ID="chkIsActive" runat="server" Checked="true" />
                                            </td>
                                            
                                        </tr>
                                        <tr>
                                            <td colspan="6" align="right">
                                                <asp:Button ID="btnList" runat="server" CssClass="btn1" Text="Listele" OnClick="btnList_Click" />
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td class="RCMR">
                                </td>
                            </tr>
                            <tr>
                                <td class="RCBL">
                                    &nbsp;
                                </td>
                                <td class="RCBM">
                                    &nbsp;
                                </td>
                                <td class="RCBR">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td class="RCUL">
                                    &nbsp;
                                </td>
                                <td class="RCUM">
                                    Üye Listesi
                                    <img src="/Images/StyleImages/Admin/categoryadd.png" width="30" height="25" title="Yeni Kayıt"
                                        onclick="popitup_cAdd()" />
                                    <asp:ImageButton ImageUrl="~/Admin/images/save.png" OnClick="btnSave_Click" runat="server"
                                        ID="btnSave" Width="30" Height="25" ToolTip="Bilgisayarıma Kaydet" />
                                </td>
                                <td class="RCUR">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="RCML">
                                </td>
                                <td class="RCMM">
                                    <table class="Grid" cellpadding="0" cellspacing="0" border="0">
                                        <tr>
                                            <th>
                                                <asp:Button ID="btnAd" Text="Ad" runat="server" OnClick="btn_Click" />
                                            </th>
                                            <th>
                                                <asp:Button ID="btnSoyad" Text="Soyad" runat="server" OnClick="btn_Click" />
                                            </th>
                                            <th>
                                                <asp:Button ID="btnKulAdi" Text="Kullanıcı Adı" runat="server"  OnClick="btn_Click"/>
                                            </th>
                                            <th>
                                                E-Posta
                                            </th>
                                            <th>
                                                Telefon
                                            </th>
                                            <th>
                                                Cep Telefonu
                                            </th>
                                            <th>
                                                İl
                                            </th>
                                            <th>
                                                İlçe
                                            </th>
                                            <th>
                                                <asp:Button ID="btnBayi" Text="Bayi" runat="server"  OnClick="btn_Click"/>
                                            </th>
                                            <th>
                                                <asp:Button ID="btnFirma" Text="Firma" runat="server" OnClick="btn_Click"/>
                                            </th>
                                            <th>
                                                <asp:Button ID="btnUyelik" Text="Üyelik Tarihi" runat="server" OnClick="btn_Click"/>
                                            </th>
                                            <th>
                                                <asp:Button ID="btnLast" Text="Son Giriş" runat="server" OnClick="btn_Click"/>
                                            </th>
                                            <th>
                                                Demo Talep
                                            </th>
                                            <th>
                                                İşlem
                                            </th>
                                            <th colspan="2">Demo İşlem</th>
                                        </tr>
                                        <asp:Repeater ID="rptList" runat="server" OnItemCommand="rptList_ItemCommand" OnItemDataBound="rptList_OnItemDataBound">
                                            <ItemTemplate>
                                                <tr class="GridItem">
                                                    <td>
                                                        <asp:Literal ID="ltrName" Text='<%#Eval("NAME")%>' runat="server"></asp:Literal>
                                                    </td>
                                                    <td>
                                                        <asp:Literal ID="ltrSurname" Text='<%#Eval("SURNAME")%>' runat="server"></asp:Literal>
                                                    </td>
                                                    <td>
                                                        <asp:Literal ID="ltrLogin" Text='<%#Eval("LOGINNAME")%>' runat="server"></asp:Literal>
                                                    </td>
                                                    <td>
                                                       <%#Eval("EMAIL")%>
                                                    </td>
                                                    <td>
                                                        <%#Eval("TELEPHONE")%>
                                                    </td>
                                                    <td>
                                                        <%#Eval("MOBILE")%>
                                                    </td>
                                                    <td>
                                                        <%#Eval("SEHIR")%>
                                                    </td>
                                                    <td>
                                                        <%#Eval("ILCE")%>
                                                    </td>
                                                    <td>
                                                        <asp:Literal ID="ltrBranch" Text='<%#Eval("BRANCHNAME")%>' runat="server"></asp:Literal>
                                                    </td>
                                                    <td>
                                                        <%#Eval("COMPANYNAME") %>
                                                    </td>
                                                    <td>
                                                        <asp:Literal ID="ltrMemberCreateDate" Text='<%#ShowDates(Eval("MEMBERDATE"))%>' runat="server"></asp:Literal>
                                                    </td>
                                                    <td>
                                                        <asp:Literal ID="ltrLastLogin" Text='<%#ShowDates(Eval("LASTLOGINDATE"))%>' runat="server"></asp:Literal>
                                                    </td>
                                                    <td>
                                                        <%# Eval("ISDEMOTEXT") %>
                                                    </td>
                                                    <td colspan="2">
                                                        <img class="GridImg" src="/Images/StyleImages/Admin/ListItemDetail.png" title="Güncelle"
                                                            onclick="popitup_cUpd(<%#DataBinder.Eval(Container.DataItem, "MEMBERID")%>)" />
                                                        <asp:ImageButton ImageUrl="~/Admin/images/DeleteProduct.png" runat="server" ToolTip="Üyeyi Sil"
                                                            OnClientClick="return(confirm('Üye silinsin mi ?'))" CommandArgument='<%#Eval("MEMBERID") %>'
                                                            CommandName="delete" />
                                                    </td>
                                                    <td>
                                                    <asp:HiddenField ID="hdnMemberID" runat="server" Value=' <%#Eval("MEMBERID")%>' />
                                                     <asp:ImageButton ID="imgDemoOnay" ImageUrl="~/Admin/images/ListItemDetail.png" runat="server" ToolTip="Demo Onayla"
                                                            OnClientClick="return(confirm('Demo Hesabını Onaylamak İstiyormusunuz?'))" CommandArgument='<%#Eval("MEMBERID") %>'
                                                            CommandName="DemoOnay" /></td>
                                                            <td>
                                                            <asp:ImageButton ID="imgDemoIptal" ImageUrl="~/Admin/images/ListItemDetail.png" runat="server" ToolTip="Demo İptal"
                                                            OnClientClick="return(confirm('Demo Hesabını İptal Etmek İstiyormusunuz?'))" CommandArgument='<%#Eval("MEMBERID") %>'
                                                            CommandName="DemoIptal" /></td>
                                                </tr>
                                            </ItemTemplate>
                                        </asp:Repeater>
                                    </table>
                                </td>
                                <td class="RCMR">
                                </td>
                            </tr>
                            <tr>
                                <td class="RCBL">
                                    &nbsp;
                                </td>
                                <td class="RCBM">
                                    &nbsp;
                                </td>
                                <td class="RCBR">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </ContentTemplate>
        <Triggers>
            <asp:PostBackTrigger ControlID="btnSave" />
            <asp:AsyncPostBackTrigger ControlID="btnList" EventName="Click" />
        </Triggers>
    </asp:UpdatePanel>
    <script language="javascript" type="text/javascript">
        function popitup_cAdd() {
            ShowModal('MemberUpdate.aspx', 700, 550, 'Üye Ekleme');
        }
        function popitup_cUpd(val) {
            ShowModal('MemberUpdate.aspx?ID=' + val, 700, 550, 'Üye Güncelleme');
        }
    </script>
    </form>
    <script type="text/javascript" language="javascript">
        if (Sys) {

            Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(BeginRequest);
            Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequest);
        }
    </script>
</body>
</html>
