﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AllMembers.aspx.cs" Inherits="Yaklasim.AllMembers" %>

<%@ Register Src="UserControl/UCTop.ascx" TagName="UCTop" TagPrefix="uc1" %>
<%@ Register Src="UserControl/UCFooterJs.ascx" TagName="UCFooterJs" TagPrefix="uc2" %>
<%@ Register Src="UserControl/UCFooter.ascx" TagName="UCFooter" TagPrefix="uc3" %>
<%@ Register Src="UserControl/UCProfileMenu.ascx" TagName="ProfileMenu" TagPrefix="uc4" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Yaklaşım</title>
    <link rel="stylesheet" type="text/css" href="/Styles/Style.css" />
    <script type="text/javascript" src="Scripts/jquery-1.6.4.min.js"></script>
    <script type="text/javascript" src="Scripts/beycon.js"></script>
    <script src="/Scripts/Message.js" type="text/javascript"></script>
    <script type="text/javascript" src="Scripts/Modal.js"></script>
    <script language="javascript" type="text/javascript">
        function popitup_cAdd(id) {
            ShowModal('PopProfile.aspx?MEMBERID=' + id, 600, 400, 'Üye Profili'); 
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="website">
        <uc1:UCTop ID="UCTop1" runat="server" />
        <%--  <div class="profileLeft" runat="server" id="divLeftMenu">
	    <uc4:ProfileMenu ID="ProfileMenu1" runat="server" />
    </div>--%>
        <div class="profileRight" style="width: 100%; padding: 20px 0px;">
            <asp:ScriptManager ID="sm" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel ID="up" runat="server">
                <ContentTemplate>
                
                    <table class="Grid" border="0" cellpadding="0" cellspacing="0" width="100%">
                        <tr class="noBG">
                            <td class="thnew" width="100">
                                AD
                            </td>
                            <td class="noBG">
                                <asp:TextBox ID="txtName" runat="server" />
                            </td>
                            <td class="thnew" width="100">
                                SOYAD
                            </td>
                            <td class="noBG">
                                <asp:TextBox ID="txtSurName" runat="server" />
                            </td>
                            <td class="thnew" width="100">
                                FİRMA ADI
                            </td>
                            <td class="noBG">
                                <asp:TextBox ID="txtCompanyname" runat="server" />
                            </td>
                        </tr>
                        <tr>
                            <td class="thnew" width="100">
                                Şehir
                            </td>
                            <td class="noBG">
                                <asp:DropDownList ID="drpCity" runat="server" AutoPostBack="True" OnSelectedIndexChanged="drpCity_SelectedIndexChanged">
                                </asp:DropDownList>
                            </td>
                            <td class="thnew" width="100">
                                İlçe
                            </td>
                            <td class="noBG">
                                <asp:DropDownList ID="drpCityDistrict" runat="server">
                                </asp:DropDownList>
                            </td>
                            <td class="noBG" colspan="2" align="right">
                                <asp:Button ID="btnMemberSearch" runat="server" Text="Ara" OnClick="btnMemberSearch_Click" CssClass="btn" style="width:100px" />
                            </td>
                        </tr>
                        </table>
                        <br /><br />
                        <asp:Repeater ID="rptList" runat="server" OnItemDataBound="rptList_ItemDataBound">
                            <HeaderTemplate>
                                <table class="Grid">
                                <tr>
                                    <th colspan="2">
                                        Tüm Kullanıcılar
                                    </th>
                                </tr>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <tr>
                                    <td valign="middle" align="center" rowspan="4" width="110" class="noBG">
                                        <img src="/Images/MemberImages/<%#Eval("PICTUREID")%>_xs.jpg" />
                                    </td>
                                </tr>
                                <tr>
                                    <td valign="middle">
                                        <%--             <a href="javascript:void(0)" onclick="ShowModal('PopProfile.aspx?LoginName=<%#Eval("LOGINNAME")%>', 600, 400, 'Üye Profili - <%#Eval("LOGINNAME")%>');">--%>
                                        <a href="javascript:void(0)" onclick="ShowModal('PopProfile.aspx?LoginName=<%#Eval("LOGINNAME")%>', 600, 400, 'Üye Profili - <%#Eval("NAME")%> <%#Eval("SURNAME")%>');">
                                            <%--<%#Eval("LOGINNAME")%>--%>
                                            <%#Eval("NAME")%>&nbsp;<%#Eval("SURNAME")%>&nbsp;/&nbsp;<%#Eval("COMPANYNAME")%></a><asp:HiddenField ID="hdnID" runat="server" Value='<%#Eval("ID")%>' />
                                        <asp:Literal ID="ltrChat" runat="server"></asp:Literal>
                    
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%#Eval("LOCATION")%>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%#Eval("AGE")%>-<%#Eval("GERNDERNAME")%></td>
                                </tr>
                                <tr>
                                    <td colspan="2" class="noBG line">
                                        &nbsp;
                                    </td>
                                </tr>
                            </ItemTemplate>
                            <FooterTemplate>
                                </table>
                            </FooterTemplate>
                        </asp:Repeater>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>
        <div class="cl">
        </div>
    </div>
    <uc3:UCFooter ID="UCFooter1" runat="server" />
    <uc2:UCFooterJs ID="UCFooterJs1" runat="server" />
    </form>
</body>
</html>
