﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ArticleDetail.aspx.cs"
    Inherits="Yaklasim.ArticleDetail" %>

<%@ Register Src="UserControl/UCTop.ascx" TagName="UCTop" TagPrefix="uc1" %>
<%@ Register Src="UserControl/UCFooterJs.ascx" TagName="UCFooterJs" TagPrefix="uc2" %>
<%@ Register Src="UserControl/UCFooter.ascx" TagName="UCFooter" TagPrefix="uc3" %>
<%@ Register Src="UserControl/UCProfileMenu.ascx" TagName="ProfileMenu" TagPrefix="uc4" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Yaklaşım</title>
    <link rel="stylesheet" type="text/css" href="/Styles/Style.css" />
    <script type="text/javascript" src="Scripts/jquery-1.6.4.min.js"></script>
    <script type="text/javascript" src="Scripts/beycon.js"></script>
    <script src="/Scripts/Message.js" type="text/javascript"></script>
    <script type="text/javascript" src="Scripts/Modal.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="website">
        <uc1:UCTop ID="UCTop1" runat="server" />
        <asp:ScriptManager ID="sm" runat="server">
        </asp:ScriptManager>
        <div class="profileRight full">
            <asp:UpdatePanel ID="up" runat="server">
                <ContentTemplate>
                    <div>
                    </div>
                    <div class="cl">
                    </div>
                    <br />
                    <table class="Grid" cellpadding="0" cellspacing="0" border="0" width="100%">
                        <tr>
                            <th>
                                Makale Detayı<a href="/ArticleUpdate.aspx" class="btn2 fright mright">Kendi Makalenizi
                                    Ekleyin</a>
                            </th>
                        </tr>
                        <tr>
                            <td class="noBG" style="border-bottom: none">
                                <div class="article-item" style="margin-bottom: 0">
                                    <div class="article-writter">
                                        <img src="/Images/MemberImages/<%= PICTUREID%>_s.jpg" />
                                        <a href="javascript:void(0)" onclick="ShowModal('PopProfile.aspx?LoginName=<%= LOGINNAME%>', 600, 400, 'Üye Profili - <%= FULLNAME%>');">
                                            <%= FULLNAME%></a> <span>
                                                <%=AGE%>
                                                -
                                                <%=GENDERNAME%></span> <span>
                                                    <%=LOCATION%></span>
                                    </div>
                                    <div class="article-detail">
                                        <div class="oyverin">
                                            <asp:RadioButtonList RepeatColumns="6" ID="rblVote" runat="server" AutoPostBack="true"
                                                OnSelectedIndexChanged="rblVote_SelectedIndexChanged">
                                            </asp:RadioButtonList>
                                        </div>
                                    </div>
                                    <div class="article-info">
                                        <span>Puan:<%=VOTEPOINT%></span><span>Okunma:<%=ARTICLEREADCOUNT%></span><span>Yorum:<%=ARTICLECOMMENTCOUNT%></span></div>
                                    <div class="cl">
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td class="noBG">
                                <div class="article">
                                    <h1>
                                        <asp:Literal ID="lblSubject" runat="server"> </asp:Literal></h1>
                                    <div class="cl">
                                    </div>
                                    <div class="article-text">
                                        <asp:Literal ID="lblDescription" runat="server"></asp:Literal>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    </table>
                    <table class="Grid" cellpadding="0" cellspacing="0" border="0" width="100%" style="margin-top: 15px">
                        <tr>
                            <th>
                            İlgili Mevzuatlar</tr>
                        <tr>
                            <td class="noBG line">
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td class="noBG">
                                <asp:Repeater ID="rptContent" runat="server">
                                    <ItemTemplate>
                                        <div class="article-item">
                                            <div>
                                                <a href="javascript:void(0)" onclick="ShowModal('/PopUpRelatedContent.aspx?ContentID=<%#Eval("CONTENTID")%>',700,500,'İlgili Mevzuat');">
                                                    <span>
                                                        <%#Eval("ROOT")%></span></a>
                                            </div>
                                            <div class="cl">
                                            </div>
                                        </div>
                                    </ItemTemplate>
                                </asp:Repeater>
                            </td>
                        </tr>
                    </table>
                    <table class="Grid" cellpadding="0" cellspacing="0" border="0" width="100%" style="margin-top: 15px">
                        <tr>
                            <th>
                                Yorumlar<a class="btn2 fright mleft" href="javascript:void(0)" onclick="ShowModal('/ArticleComment.aspx?ArticleID=<%=ARTICLEID.ToString()%>',550,250,'Yorum Ekleme');">Yorum
                                    Ekle</a>
                        </tr>
                        <tr>
                            <td class="noBG line">
                                &nbsp;
                            </td>
                        </tr>
                        <tr>
                            <td class="noBG">
                                <asp:Repeater ID="rptNew" runat="server">
                                    <ItemTemplate>
                                        <div class="article-item">
                                            <div class="article-writter">
                                                <img src="/Images/MemberImages/<%#Eval("PICTUREID")%>_s.jpg" />
                                                <a href="javascript:void(0)" onclick="ShowModal('PopProfile.aspx?LoginName=<%#Eval("LOGINNAME")%>', 600, 400, 'Üye Profili - <%#Eval("NAME")%> <%#Eval("SURNAME")%>');">
                                                    <%#Eval("NAME")%>&nbsp
                                                    <%#Eval("SURNAME")%></a> <span></span><span></span>
                                            </div>
                                            <div class="article-detail">
                                                <span>
                                                    <%#Eval("SUBJECT")%></span>
                                                <p>
                                                    <%#Eval("ARTCLECMMNTDSCRPTN")%></p>
                                            </div>
                                            <div class="cl">
                                            </div>
                                        </div>
                                    </ItemTemplate>
                                </asp:Repeater>
                            </td>
                        </tr>
                    </table>
                </ContentTemplate>
                <Triggers>
                    <asp:PostBackTrigger ControlID="rblVote" />
                </Triggers>
            </asp:UpdatePanel>
        </div>
        <div class="cl">
        </div>
    </div>
    <uc3:UCFooter ID="UCFooter1" runat="server" />
    <uc2:UCFooterJs ID="UCFooterJs1" runat="server" />
    </form>
</body>
</html>
