﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="BuyBook.aspx.cs" Inherits="Yaklasim.BuyBook" %>

<%@ Register Src="UserControl/UCTop.ascx" TagName="UCTop" TagPrefix="uc1" %>
<%@ Register Src="UserControl/UCFooterJs.ascx" TagName="UCFooterJs" TagPrefix="uc2" %>
<%@ Register Src="UserControl/UCFooter.ascx" TagName="UCFooter" TagPrefix="uc3" %>
<%@ Register Src="~/UserControl/UCBranches.ascx" TagName="UCBranches" TagPrefix="uc5" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Yaklaşım</title>
    <link rel="stylesheet" type="text/css" href="/Styles/Style.css" />
    <script type="text/javascript" src="Scripts/jquery-1.6.4.min.js"></script>
    <script type="text/javascript" src="Scripts/beycon.js"></script>
    <script src="/Scripts/Message.js" type="text/javascript"></script>
    <script type="text/javascript" src="Scripts/Modal.js"></script>
    <script language="javascript" type="text/javascript">
        function popitup_cAdd(id) {
            ShowModal('PopProfile.aspx?MEMBERID=' + id, 600, 400, 'Üye Profili');
        }

        function isNumber(evt) {
            debugger;
            var charCode = (evt.which) ? evt.which : event.keyCode;
            if (charCode > 31 && (charCode < 48 || charCode > 57))
                return false;

            return true;
        }
      
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="website">
        <uc1:UCTop ID="UCTop1" runat="server" />
        <div class="profileRight" style="padding: 20px 0px; width: 100%;">
            <asp:ScriptManager ID="sm" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel ID="up" runat="server" class="fleft w628">
                <ContentTemplate>
                    <asp:Label ID="lblInfo" runat="server" Visible="false"></asp:Label>
                    <table border="0" cellpadding="0" cellspacing="0" width="628">
                        <tr>
                            <td valign="top" style="padding-right:20px">
                                <table class="Grid" style="width: 300px; margin-bottom:20px;">
                                    <tr>
                                        <th colspan="3">
                                            Kitap Bilgileri
                                        </th>
                                    </tr>
                                    <asp:Repeater ID="rptList" runat="server">
                                        <ItemTemplate>
                                            <tr>
                                                <td colspan="2">
                                                    <img src="<%#Eval("PICTURE")%>" alt="Alternate Text" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="thnew">
                                                    Kitap Adı
                                                </td>
                                                <td>
                                                    <%#Eval("NAME")%>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="thnew">
                                                    Fiyat
                                                </td>
                                                <td align="left">
                                                    <asp:Label ID="lblTotal" runat="server" Text='<%#ShowMoney(Eval("PRICE"))%>'></asp:Label>
                                                    TL
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="thnew">
                                                    İncele
                                                </td>
                                                <td align="left">
                                                    <a href='<%#Eval("URL")%>' target="_blank">Kitabı incelemek için tıklayınız.</a>
                                                </td>
                                            </tr>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </table>

                                            <table class="Grid" style="width:300px;">
                                                <tr>
                                                    <th colspan="3">
                                                       Fatura Bilgileri
                                                    </th>
                                                </tr>
                                            </table>
                                            <table class="Grid" id="tblCompanySale" runat="server" visible="true" style="width:300px; margin-bottom:20px">
                                                <tr>
                                                    <td class="thnew" width="100">
                                                         Unvanı
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtCompanyName" runat="server" MaxLength="50"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        Adres
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtCompanyAddress" runat="server" MaxLength="50"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        Vergi Numarası
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtTaxNumber" runat="server" MaxLength="50"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        Vergi Dairesi
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtTaxOffice" runat="server" MaxLength="50"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>

                                            <table class="Grid" id="tblNoMember" runat="server" style="margin:0px 0px 20px 0px; width:300px">
                                                <tr>
                                                    <th colspan="2">
                                                        İletişim Bilgileri
                                                    </th>
                                                </tr>
                                                <tr>
                                                    <td class="thnew" width="100">
                                                        Adınız Soyadınız
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtNameSurname" runat="server" MaxLength="50"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        E-Mail
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtMail" runat="server" MaxLength="100"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        Telefon
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtPhone" runat="server" MaxLength="24"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        GSM
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtMobile" runat="server" MaxLength="24"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        TCNO
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtTCNO" runat="server" MaxLength="11"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                <table class="Grid" style="margin:0px 0px 20px 0px; width:300px">
                                    <tr>
                                        <th colspan="2">
                                            Teslimat Bilgileri
                                        </th>
                                    </tr>
                                    <tr>
                                        <td class="thnew" width="100">
                                            Teslim Alacak Kişi
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtReciever" runat="server" MaxLength="50"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="thnew">
                                            Adres
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtAddress" runat="server" TextMode="MultiLine" MaxLength="1000"></asp:TextBox>
                                        </td>
                                    </tr>
                                    <%-- <tr>
                                        <td class="thnew">
                                            Ülke
                                        </td>
                                        <td>
                                            <asp:DropDownList runat="server" ID="drpCountry">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>--%>
                                    <tr>
                                        <td class="thnew">
                                            İl
                                        </td>
                                        <td>
                                            <asp:DropDownList runat="server" ID="drpCity" OnSelectedIndexChanged="drpCity_SelectedIndexChanged"
                                                AutoPostBack="true">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="thnew">
                                            İlçe
                                        </td>
                                        <td>
                                            <asp:DropDownList runat="server" ID="drpCityDistrict">
                                            </asp:DropDownList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="thnew">
                                            NOT
                                        </td>
                                        <td>
                                            <asp:TextBox ID="txtNote" runat="server" TextMode="MultiLine" MaxLength="1000"></asp:TextBox>
                                        </td>
                                    </tr>
                                </table>

                                        </td>
                                        <td valign="top">
                                            <table class="Grid" id="Table2" runat="server" style="width:300px; margin-right:20px">
                                                <tr>
                                                    <th colspan="2">
                                                        Kart Bilgileri
                                                    </th>
                                                </tr>
                                                <tr>
                                                    <td class="thnew" width="100">
                                                        Kart Üzerindeki İsim
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtCartName" runat="server" MaxLength="50"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        Kredi Kart Numarası
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtCartNumber2" runat="server" MaxLength="16" onkeypress="return isNumber(event);"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td valign="middle" class="thnew">
                                                        Kart Tipi
                                                    </td>
                                                    <td>
                                                        <asp:DropDownList ID="drpCartType" runat="server" class="kartTipiDdl">
                                                            <asp:ListItem Value="0" Text="Seçiniz.."></asp:ListItem>
                                                            <asp:ListItem Value="1" Text="Visa"></asp:ListItem>
                                                            <asp:ListItem Value="2" Text="Master Card"></asp:ListItem>
                                                        </asp:DropDownList>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        Son Kullanma Tarihi
                                                    </td>
                                                    <td>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:DropDownList ID="drpEndDateMonth2" runat="server">
                                                                        <asp:ListItem Text="Ay" Value="0" Selected="True"></asp:ListItem>
                                                                        <asp:ListItem Text="01" Value="01"></asp:ListItem>
                                                                        <asp:ListItem Text="02" Value="02"></asp:ListItem>
                                                                        <asp:ListItem Text="03" Value="03"></asp:ListItem>
                                                                        <asp:ListItem Text="04" Value="04"></asp:ListItem>
                                                                        <asp:ListItem Text="05" Value="05"></asp:ListItem>
                                                                        <asp:ListItem Text="06" Value="06"></asp:ListItem>
                                                                        <asp:ListItem Text="07" Value="07"></asp:ListItem>
                                                                        <asp:ListItem Text="08" Value="08"></asp:ListItem>
                                                                        <asp:ListItem Text="09" Value="09"></asp:ListItem>
                                                                        <asp:ListItem Text="10" Value="10"></asp:ListItem>
                                                                        <asp:ListItem Text="11" Value="11"></asp:ListItem>
                                                                        <asp:ListItem Text="12" Value="12"></asp:ListItem>
                                                                    </asp:DropDownList>
                                                                </td>
                                                                <td>
                                                                    <asp:DropDownList ID="drpEndDateYear2" runat="server">
                                                                        <asp:ListItem Text="Yıl" Value="0" Selected="True"></asp:ListItem>
                                                                        <asp:ListItem Text="2012" Value="2012"></asp:ListItem>
                                                                        <asp:ListItem Text="2013" Value="2013"></asp:ListItem>
                                                                        <asp:ListItem Text="2014" Value="2014"></asp:ListItem>
                                                                        <asp:ListItem Text="2015" Value="2015"></asp:ListItem>
                                                                        <asp:ListItem Text="2016" Value="2016"></asp:ListItem>
                                                                        <asp:ListItem Text="2017" Value="2017"></asp:ListItem>
                                                                        <asp:ListItem Text="2018" Value="2018"></asp:ListItem>
                                                                        <asp:ListItem Text="2019" Value="2019"></asp:ListItem>
                                                                        <asp:ListItem Text="2020" Value="2020"></asp:ListItem>
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        CCV
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtCCV2" runat="server" Width="35px" MaxLength="3" onkeypress="return isNumber(event);"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="3" align="right" class="noBG">
                                                        <asp:Button ID="btnBuyNoMember" runat="server" Text="Satın Al" CssClass="btn" OnClick="btnBuyNoMember_Click" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                            <td valign="top">
                                <table>
                                    <tr>
                                        <td>

                            </td>
                            <td valign="top">

                            </td>
                        </tr>
                    </table>
                </ContentTemplate>
            </asp:UpdatePanel>
            <uc5:UCBranches ID="UCBranches1" runat="server" />
            <div class="cl">
            </div>
        </div>
        <div class="cl">
        </div>
        <uc3:UCFooter ID="UCFooter1" runat="server" />
        <uc2:UCFooterJs ID="UCFooterJs1" runat="server" />
    </form>
</body>
</html>
