﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="BuyContent.aspx.cs" Inherits="Yaklasim.BuyContent" %>

<%@ Register Src="UserControl/UCTop.ascx" TagName="UCTop" TagPrefix="uc1" %>
<%@ Register Src="UserControl/UCFooterJs.ascx" TagName="UCFooterJs" TagPrefix="uc2" %>
<%@ Register Src="UserControl/UCFooter.ascx" TagName="UCFooter" TagPrefix="uc3" %>
<%@ Register Src="~/UserControl/UCBranches.ascx" TagName="UCBranches" TagPrefix="uc5" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Yaklaşım</title>
    <link rel="stylesheet" type="text/css" href="/Styles/Style.css" />
    <script type="text/javascript" src="Scripts/jquery-1.6.4.min.js"></script>
    <script type="text/javascript" src="Scripts/beycon.js"></script>
    <script src="/Scripts/Message.js" type="text/javascript"></script>
    <script type="text/javascript" src="Scripts/Modal.js"></script> 
    <script language="javascript" type="text/javascript">
        function popitup_cAdd(id)
        {
            ShowModal('PopProfile.aspx?MEMBERID=' + id, 600, 400, 'Üye Profili');
        }
  
        function isNumber(evt) {
       
            var charCode = (evt.which) ? evt.which : event.keyCode;
            if (charCode > 31 && (charCode < 48 || charCode > 57))
                return false;

            return true;
        }
      
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="website">
        <uc1:UCTop ID="UCTop1" runat="server" />
        <div class="profileRight" style="padding:20px 0px; width:100%;">
            <asp:ScriptManager ID="sm" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel ID="up" runat="server" class="fleft w628">
                <ContentTemplate>
                <asp:Label ID="lblInfo" runat="server" Visible="false"></asp:Label>
                    <table border="0" cellpadding="0" cellspacing="0" width="628">
                        <tr>
                            <td>
                                <table class="Grid" style="width:340px; margin-right:20px">
                                    <tr><th colspan="3">Ürün Seçin</th></tr>
                                    <asp:Repeater ID="rptList" runat="server" OnItemDataBound="rptList_ItemDataBound">
                                        <ItemTemplate>
                                            <tr>
                                                <td class="thnew">
                                                    <asp:CheckBox ID="chkItem" runat="server" AutoPostBack="true" recID='<%#Eval("ID")%>'
                                                        OnCheckedChanged="chkItem_CheckedChanged" />
                                                </td>
                                                <td>
                                                    <asp:HiddenField ID="hdnContentName" runat="server" Value='<%#Eval("NAME")%>' />
                                                    <%#Eval("NAME")%>
                                                </td>
                                                <td align="right">
                                                    <%#ShowMoney(Eval("PRICE"))%>
                                                    TL
                                                </td>
                                            </tr>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </table>
                            </td>
                            <td valign="top">
                                <table>
                                    <tr>
                                        <td>
                                            <table class="Grid" style="margin-bottom:50px" width="100%">
                                                <tr>
                                                    <th style="font-size:20px; font-weight:bold;">
                                                        Toplam :
                                                        <asp:Label ID="lblTotal" runat="server"></asp:Label>
                                                    </th>
                                                </tr>
                                            </table>
                                            <table class="Grid">
                                                <tr>
                                                    <th colspan="3">Kart Bilgileri</th>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        Kart Üzerindeki İsim
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtName" runat="server"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        Kredi Kart Numarası
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtCardNumber" runat="server" MaxLength="16" onkeypress="return isNumber(event);"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td valign="middle" class="thnew">
                                                        Kart Tipi
                                                    </td>
                                                    <td>
                                                        <asp:DropDownList ID="drpKartTipi" runat="server" class="kartTipiDdl">
                                                            <asp:ListItem Value="0" Text="Seçiniz.."></asp:ListItem>
                                                            <asp:ListItem Value="1" Text="Visa"></asp:ListItem>
                                                            <asp:ListItem Value="2" Text="Master Card"></asp:ListItem>
                                                        </asp:DropDownList>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        Son Kullanma Tarihi
                                                    </td>
                                                    <td>
                                                        <table>
                                                            <tr>
                                                                <td>
                                                                    <asp:DropDownList ID="drpEndDateMonth" runat="server">
                                                                        <asp:ListItem Text="Ay" Value="0" Selected="True"></asp:ListItem>
                                                                        <asp:ListItem Text="01" Value="01"></asp:ListItem>
                                                                        <asp:ListItem Text="02" Value="02"></asp:ListItem>
                                                                        <asp:ListItem Text="03" Value="03"></asp:ListItem>
                                                                        <asp:ListItem Text="04" Value="04"></asp:ListItem>
                                                                        <asp:ListItem Text="05" Value="05"></asp:ListItem>
                                                                        <asp:ListItem Text="06" Value="06"></asp:ListItem>
                                                                        <asp:ListItem Text="07" Value="07"></asp:ListItem>
                                                                        <asp:ListItem Text="08" Value="08"></asp:ListItem>
                                                                        <asp:ListItem Text="09" Value="09"></asp:ListItem>
                                                                        <asp:ListItem Text="10" Value="10"></asp:ListItem>
                                                                        <asp:ListItem Text="11" Value="11"></asp:ListItem>
                                                                        <asp:ListItem Text="12" Value="12"></asp:ListItem>
                                                                    </asp:DropDownList>
                                                                </td>
                                                                <td>
                                                                    <asp:DropDownList ID="drpEndDateYear" runat="server">
                                                                        <asp:ListItem Text="Yıl" Value="0" Selected="True"></asp:ListItem>
                                                                        <asp:ListItem Text="2012" Value="2012"></asp:ListItem>
                                                                        <asp:ListItem Text="2013" Value="2013"></asp:ListItem>
                                                                        <asp:ListItem Text="2014" Value="2014"></asp:ListItem>
                                                                        <asp:ListItem Text="2015" Value="2015"></asp:ListItem>
                                                                        <asp:ListItem Text="2016" Value="2016"></asp:ListItem>
                                                                        <asp:ListItem Text="2017" Value="2017"></asp:ListItem>
                                                                        <asp:ListItem Text="2018" Value="2018"></asp:ListItem>
                                                                        <asp:ListItem Text="2019" Value="2019"></asp:ListItem>
                                                                        <asp:ListItem Text="2020" Value="2020"></asp:ListItem>
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="thnew">
                                                        CCV
                                                    </td>
                                                    <td>
                                                        <asp:TextBox ID="txtCCV" runat="server" Width="35px" MaxLength="3" onkeypress="return isNumber(event);"></asp:TextBox>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td colspan="3" align="right" class="noBG">
                                                        <asp:Button ID="btnBuy" runat="server" Text="Satın Al" OnClick="btnBuy_Click" CssClass="btn" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </ContentTemplate>
             
            </asp:UpdatePanel>
            <uc5:UCBranches ID="UCBranches1" runat="server" />
            <div class="cl"></div>
        </div>

        <div class="cl"></div>


    <uc3:UCFooter ID="UCFooter1" runat="server" />
    <uc2:UCFooterJs ID="UCFooterJs1" runat="server" />
    </form>
</body>
</html>
