﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MagazineContent.aspx.cs"
    Inherits="Yaklasim.MagazineContent" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register Src="UserControl/UCTop.ascx" TagName="UCTop" TagPrefix="uc1" %>
<%@ Register Src="UserControl/UCFooterJs.ascx" TagName="UCFooterJs" TagPrefix="uc2" %>
<%@ Register Src="UserControl/UCProfileMenu.ascx" TagName="ProfileMenu" TagPrefix="uc3" %>
<%@ Register Src="UserControl/UCFooter.ascx" TagName="UCFooter" TagPrefix="uc4" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Yaklaşım</title>
    <link rel="stylesheet" type="text/css" href="/Styles/Style.css" />
    <script type="text/javascript" src="Scripts/jquery-1.6.4.min.js"></script>
    <script type="text/javascript" src="Scripts/beycon.js"></script>
    <script src="/Scripts/Message.js" type="text/javascript"></script>
    <script type="text/javascript" src="Scripts/Modal.js"></script>
    <script type="text/javascript">
        $(document).ready(function(){
            if ($(window).width() < 1001) {
                $('#resizeTable').css('width', '' + $(window).width() + 'px');
            }
            else {
                $('#resizeTable').css('width', '1000px');
            }
        });
        $(window).resize(function () {
            if ($(window).width() < 1001) {
                $('#resizeTable').css('width', '' + $(window).width() + 'px');
            }
            else {
                $('#resizeTable').css('width', '1000px');
            }
        });
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="website">
        <uc1:UCTop ID="ucTop" runat="server" />
        <div class="map">
      <ul>       
        <asp:Literal ID="ltrMenu" runat="server"></asp:Literal>
      </ul>
      <div class="cl">
       </div>
       </div>
        <div class="profileRight full">
        <div class="cl"></div><br />

<table class="Grid1" cellpadding="0" cellspacing="0" border="0" id="resizeTable">
    <tr>
        <th><span class="fleft dblock">Detay</span>
        <a href="MagazineConvertWord.aspx?ID=<%=ID%>" target="_blank" class="wordbtn">Word'e Aktar</a>
        <a href="MagazinePrint.aspx?ID=<%=ID%>" target="_blank" class="printbtn">Yazdir</a>
        </th>
    </tr>
  
    <tr>
        <td class="noBG" style="border-bottom:none">
        <div class="article" style="font-size:15px">
            <h1><asp:Literal ID="ltrSubject" runat="server"></asp:Literal></h1>
            <div class="cl"></div>
            <div class="article-text">
                <asp:Literal ID="ltrContent" runat="server"></asp:Literal>
                <div class="writters"><b>Yazarlar : </b><asp:Literal ID="ltrWriters" runat="server"></asp:Literal></div>
            </div>
        </div>

                    
        </td>
    </tr>
</table>



        <table class="Grid" cellpadding="0" cellspacing="0" border="0" width="100%" style="margin-top: 15px">
            <tr>
                <th>
                İlgili Mevzuatlar</th></tr>
            <tr>
                <td class="noBG line">
                    &nbsp;
                </td>
            </tr>
            <tr>
                <td class="noBG">
                    <asp:Repeater ID="rptContent" runat="server">
                        <ItemTemplate>
                            <div class="article-item">
                                <div>
                                    <span>
                                        <a href="javascript:void(0)" onclick="ShowModal('/PopUpRelatedContent.aspx?ContentID=<%#Eval("CONTENTID")%>',700,500,'İlgili Mevzuat');"><span><%#Eval("ROOT")%></span></a></span>
                                </div>
                                <div class="cl">
                                </div>
                            </div>
                        </ItemTemplate>
                    </asp:Repeater>
                </td>
            </tr>
        </table>
        <div class="cl"></div>
    </div>
    <div class="cl"></div>
    </div>
    <uc4:UCFooter ID="Footer1" runat="server" />
    <uc2:UCFooterJs ID="UCFooterJS1" runat="server" />
    </form>
</body>
</html>
