﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="OnlineMembers.aspx.cs"
    Inherits="Yaklasim.OnlineMembers" %>

<%@ Register Src="UserControl/UCTop.ascx" TagName="UCTop" TagPrefix="uc1" %>
<%@ Register Src="UserControl/UCFooterJs.ascx" TagName="UCFooterJs" TagPrefix="uc2" %>
<%@ Register Src="UserControl/UCFooter.ascx" TagName="UCFooter" TagPrefix="uc3" %>
<%@ Register Src="UserControl/UCProfileMenu.ascx" TagName="ProfileMenu" TagPrefix="uc4" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Yaklaşım</title>
    <link rel="stylesheet" type="text/css" href="/Styles/Style.css" />
    <script type="text/javascript" src="Scripts/jquery-1.6.4.min.js"></script>
    <script type="text/javascript" src="Scripts/beycon.js"></script>
    <script src="/Scripts/Message.js" type="text/javascript"></script>
    <script type="text/javascript" src="Scripts/Modal.js"></script>
    <script language="javascript" type="text/javascript">
        function popitup_cAdd(id) {
            ShowModal('PopProfile.aspx?MEMBERID=' + id, 600, 400, 'Üye Profili');
        }
    </script>
</head>
<body style="background: none">
    <form id="form1" runat="server">
    <div class="website">
        <uc1:UCTop ID="UCTop1" runat="server" />
        <%--  <div class="profileLeft" runat="server" id="divLeftMenu">
	    <uc4:ProfileMenu ID="ProfileMenu1" runat="server" />
    </div>--%>
        <div class="profileRight">
            <asp:ScriptManager ID="sm" runat="server">
            </asp:ScriptManager>
            <asp:UpdatePanel ID="up" runat="server">
                <ContentTemplate>
                    <table class="Grid" border="0" cellpadding="0" cellspacing="0" width="350">
                        <asp:Repeater ID="rptList" runat="server" OnItemDataBound="rptList_ItemDataBound"
                            OnItemCommand="rptList_OnItemCommand">
                            <HeaderTemplate>
                                <tr>
                                    <th colspan="2">
                                        Online Kullanıcılar
                                    </th>
                                </tr>
                            </HeaderTemplate>
                            <ItemTemplate>
                                <tr>
                                    <td valign="middle" align="center" rowspan="5" width="110" class="noBG">
                                        <img src="/Images/MemberImages/<%#Eval("PICTUREID")%>_xs.jpg" />
                                    </td>
                                </tr>
                                <tr>
                                    <td valign="middle">
                                        <a href="javascript:void(0)" onclick="ShowModal('PopProfile.aspx?LoginName=<%#Eval("LOGINNAME")%>', 600, 400, 'Üye Profili - <%#Eval("NAME")%> <%#Eval("SURNAME")%>');">
                                            <%#Eval("NAME")%>&nbsp<%#Eval("SURNAME")%>&nbsp;/&nbsp;<%#Eval("COMPANYNAME")%></a>
                                        <asp:HiddenField ID="hdnID" runat="server" Value='<%#Eval("ID")%>' />
                                        <asp:Literal ID="ltrChat" runat="server"></asp:Literal>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%#Eval("LOCATION")%>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <%#Eval("AGE")%>-<%#Eval("GERNDERNAME")%>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="2" class="noBG line">
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td class="noBG">
                                        <asp:LinkButton ID="btnAddToFriends" runat="server" Text="Arkadaş Olarak Ekle" CommandName="AddFriends"
                                            CommandArgument='<%#Eval("LOGINNAME")%>' CssClass="btn fright mleft" Style="text-decoration: none"></asp:LinkButton>
                                    </td>
                                </tr>
                            </ItemTemplate>
                        </asp:Repeater>
                    </table>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>
        <div class="cl">
        </div>
    </div>
    <uc3:UCFooter ID="UCFooter1" runat="server" />
    <uc2:UCFooterJs ID="UCFooterJs1" runat="server" />
    </form>
</body>
</html>
