﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ArticleUpdate.aspx.cs"
    Inherits="Yaklasim.Admin.ArticleUpdate" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Banka</title>
    <script type="text/javascript" src="/Scripts/Message.js"></script>
    <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
    <script type="text/javascript" src="/Scripts/Modal.js"></script>
    <script>
        function PopupClosed() {

            if (window.parent.location.pathname != "/Default.aspx") {
                fp('btnList').click();
            }
            CloseModal(window.top.modalCount);
        }
    </script>
    <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
</head>
<body>
    <form id="form1" runat="server">
    <div id="divPageContainer" class="popPageContainer">
    <asp:ScriptManager ID="scrptmngr" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="up" runat="server">
        <ContentTemplate>
            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                <tr>
                    <td>
                        <telerik:RadTabStrip ID="rtDetail" runat="server" MultiPageID="rmDetail" Width="100%"
                            SelectedIndex="0" ShowBaseLine="true">
                            <Tabs>
                                <telerik:RadTab Text="Makale" PageViewID="rtArticle">
                                </telerik:RadTab>
                                <telerik:RadTab Text="İlgili Olduğu İçerikler" PageViewID="rtRelatedContent">
                                </telerik:RadTab>
                                <telerik:RadTab Text="Yorumlar" PageViewID="rtComment">
                                </telerik:RadTab>
                            </Tabs>
                        </telerik:RadTabStrip>
                    </td>
                </tr>
                <tr>
                    <td>
                        <telerik:RadMultiPage ID="rmDetail" runat="server" Width="100%" SelectedIndex="0"
                            CssClass="MPPanel">
                            <telerik:RadPageView ID="rtArticle" runat="server">
                                <table cellpadding="0" cellspacing="0" border="0" width="100%">
                                    <tr>
                                        <td>
                                            <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                                                <tr>
                                                    <td class="RCUL">
                                                        &nbsp;
                                                    </td>
                                                    <td class="RCUM">
                                                        Makale
                                                    </td>
                                                    <td class="RCUR">
                                                        &nbsp;
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="RCML">
                                                    </td>
                                                    <td class="RCMM">
                                                        <table class="Filter" align="center">
                                                            <tr>
                                                                <td class="FilterCaption">
                                                                    Başlık
                                                                </td>
                                                                <td>
                                                                    :
                                                                </td>
                                                                <td class="FilterCaption" colspan="3">
                                                                    <asp:TextBox ID="txtSubject" runat="server" Width="400px" MaxLength="500"></asp:TextBox>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td class="FilterCaption">
                                                                    Makaleniz
                                                                </td>
                                                                <td>
                                                                    :
                                                                </td>
                                                                <td class="FilterCaption" colspan="3">
                                                                    <asp:TextBox ID="txtDescription" runat="server" TextMode="MultiLine" Rows="15" Columns="70"></asp:TextBox>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td colspan="3" align="right">
                                                                    <asp:Button CssClass="btn1" ID="btnSave" runat="server" Text="Kaydet" OnClick="btnSave_Click" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                    <td class="RCMR">
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td class="RCBL">
                                                        &nbsp;
                                                    </td>
                                                    <td class="RCBM">
                                                        &nbsp;
                                                    </td>
                                                    <td class="RCBR">
                                                        &nbsp;
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </telerik:RadPageView>
                            <telerik:RadPageView ID="rtRelatedContent" runat="server">
                                <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                                    <tr>
                                        <td class="RCUL">
                                            &nbsp;
                                        </td>
                                        <td class="RCUM">
                                           İlgili İçerik
                                        </td>
                                        <td class="RCUR">
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="RCML">
                                        </td>
                                        <td class="RCMM">
                                            <table class="Filter" align="center">
                                                <tr>
                                                    <td>
                                                        <table>
                                                            <tr id="trSub0" runat="server">
                                                                <td>
                                                                    <asp:DropDownList ID="drpCategorySub0" runat="server" CssClass="drp" Level="0" AutoPostBack="true"
                                                                        OnSelectedIndexChanged="drpCategory_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr id="trSub1" runat="server" visible="false">
                                                                <td>
                                                                    <asp:DropDownList ID="drpCategorySub1" runat="server" CssClass="drp" Level="1" AutoPostBack="true"
                                                                        OnSelectedIndexChanged="drpCategory_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr id="trSub2" runat="server" visible="false">
                                                                <td>
                                                                    <asp:DropDownList ID="drpCategorySub2" runat="server" CssClass="drp" Level="2" AutoPostBack="true"
                                                                        OnSelectedIndexChanged="drpCategory_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr id="trSub3" runat="server" visible="false">
                                                                <td>
                                                                    <asp:DropDownList ID="drpCategorySub3" runat="server" CssClass="drp" Level="3" AutoPostBack="true"
                                                                        OnSelectedIndexChanged="drpCategory_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr id="trSub4" runat="server" visible="false">
                                                                <td>
                                                                    <asp:DropDownList ID="drpCategorySub4" runat="server" CssClass="drp" Level="4" AutoPostBack="true"
                                                                        OnSelectedIndexChanged="drpCategory_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr id="trSub5" runat="server" visible="false">
                                                                <td>
                                                                    <asp:DropDownList ID="drpCategorySub5" runat="server" CssClass="drp" Level="5" AutoPostBack="true"
                                                                        OnSelectedIndexChanged="drpCategory_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr id="trSub6" runat="server" visible="false">
                                                                <td>
                                                                    <asp:DropDownList ID="drpCategorySub6" runat="server" CssClass="drp" Level="5" AutoPostBack="true"
                                                                        OnSelectedIndexChanged="drpCategory_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr id="trSub7" runat="server" visible="false">
                                                                <td>
                                                                    <asp:DropDownList ID="drpCategorySub7" runat="server" CssClass="drp" Level="5" AutoPostBack="true"
                                                                        OnSelectedIndexChanged="drpCategory_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr id="trSub8" runat="server" visible="false">
                                                                <td>
                                                                    <asp:DropDownList ID="drpCategorySub8" runat="server" CssClass="drp" Level="5" AutoPostBack="true"
                                                                        OnSelectedIndexChanged="drpCategory_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr id="trSub9" runat="server" visible="false">
                                                                <td>
                                                                    <asp:DropDownList ID="drpCategorySub9" runat="server" CssClass="drp" Level="5" AutoPostBack="true"
                                                                        OnSelectedIndexChanged="drpCategory_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr id="trSub10" runat="server" visible="false">
                                                                <td>
                                                                    <asp:DropDownList ID="drpCategorySub10" runat="server" CssClass="drp" Level="5" AutoPostBack="true"
                                                                        OnSelectedIndexChanged="drpCategory_SelectedIndexChanged">
                                                                    </asp:DropDownList>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td>
                                                                    <asp:Button ID="btnAddContent" runat="server" OnClick="btnAddContent_Click" Text="Ekle" />
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td class="RCMR">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="RCBL">
                                            &nbsp;
                                        </td>
                                        <td class="RCBM">
                                            &nbsp;
                                        </td>
                                        <td class="RCBR">
                                            &nbsp;
                                        </td>
                                    </tr>
                                </table>
                                <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                                    <tr>
                                        <td class="RCUL">
                                            &nbsp;
                                        </td>
                                        <td class="RCUM">
                                            İlgili Maddeler
                                        </td>
                                        <td class="RCUR">
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="RCML">
                                        </td>
                                        <td class="RCMM">
                                            <table class="Grid" cellpadding="0" cellspacing="0" border="0">
                                                <asp:Repeater ID="rptContent" runat="server" OnItemCommand="rptContent_ItemCommand">
                                                    <ItemTemplate>
                                                        <tr class="GridItem">
                                                            <td>
                                                                <a href="javascript:void(0)" onclick="ShowModal('/PopUpRelatedContent.aspx?ContentID=<%#Eval("CONTENTID")%>',700,500,'İlgili Mevzuat');"><span><%#Eval("ROOT")%></span></a>
                                                            </td>
                                                            <td>
                                                                <asp:ImageButton ID="btnDelete" runat="server" ImageUrl="/Images/StyleImages/sil.png"
                                                                    AlternateText="Çıkar" ToolTip="Çıkar" CommandArgument='<%#Eval("CONTENTID")%>'
                                                                    CommandName="Delete" />
                                                            </td>
                                                        </tr>
                                                    </ItemTemplate>
                                                </asp:Repeater>
                                            </table>
                                        </td>
                                        <td class="RCMR">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">
                                            <asp:Button ID="btnSaveContent" runat="server" OnClick="btnSaveContent_Click" Text="Kaydet" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="RCBL">
                                            &nbsp;
                                        </td>
                                        <td class="RCBM">
                                            &nbsp;
                                        </td>
                                        <td class="RCBR">
                                            &nbsp;
                                        </td>
                                    </tr>
                                </table>
                            </telerik:RadPageView>
                            <telerik:RadPageView ID="rtComment" runat="server">
                            <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td class="RCUL">
                                    &nbsp;
                                </td>
                                <td class="RCUM">
                                    Yorum Arama
                                </td>
                                <td class="RCUR">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="RCML">
                                </td>
                                <td class="RCMM">
                                    <table class="Filter" align="center">
                                        <tr>
                                           
                                            </td>
                                             <td class="FilterCaption">
                                                Durum
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                               <asp:DropDownList ID="drpStatus" runat="server">
                                          <asp:ListItem Text="Seçiniz" Value="2"></asp:ListItem>      
                           <asp:ListItem Text="Onay Bekliyor" Value="-1" Selected="True"></asp:ListItem>
                           <asp:ListItem Text="Onaylandı" Value="1"></asp:ListItem>
                           <asp:ListItem Text="Reddedildi" Value="0"></asp:ListItem>
                           </asp:DropDownList>
                                            </td>
                                                                                 
                                        </tr>
                                        <tr>
                                        <tr>
                                            <td colspan="3" align="right">
                                                <asp:Button ID="btnList" runat="server" CssClass="btn1" Text="Listele" onclick="btnList_Click" />
                                            </td>
                                            <td>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td class="RCMR">
                                </td>
                            </tr>
                            <tr>
                                <td class="RCBL">
                                    &nbsp;
                                </td>
                                <td class="RCBM">
                                    &nbsp;
                                </td>
                                <td class="RCBR">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                            
                                <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                                    <tr>
                                        <td class="RCUL">
                                            &nbsp;
                                        </td>
                                        <td class="RCUM">
                                            İlgili Yorumlar
                                        </td>
                                        <td class="RCUR">
                                            &nbsp;
                                        </td>
                                    </tr>
                                    <tr>
                                        <td class="RCML">
                                        </td>
                                        <td class="RCMM">
                                            <table class="Grid" cellpadding="0" cellspacing="0" border="0">
                                                <tr>
                                                    <th>
                                                        Tarih
                                                    </th>
                                                    <th>
                                                        Üye
                                                    </th>
                                                    <th>
                                                        Konu
                                                    </th>
                                                    <th>
                                                        Açıklama
                                                    </th>
                                                    <th>
                                                        Durum
                                                    </th>
                                                    <th colspan="2">
                                                        İşlem
                                                    </th>
                                                </tr>
                                                <asp:Repeater ID="rptArticleComments" runat="server" OnItemCommand="rptArticleComments_ItemCommand" OnItemDataBound="rptArticleComments_OnItemDataBound">
                                                    <ItemTemplate>
                                                        <tr class="GridItem">
                                                            <td>
                                                                <%# Convert.ToDateTime(Eval("DATE")).ToString("dd.MM.yyyy")%>
                                                            </td>
                                                            <td>
                                                                <%# Eval("LOGINNAME")%>
                                                                (
                                                                <%# Eval("FullName")%>)
                                                            </td>
                                                            <td>
                                                                <%# Eval("SUBJECT")%>
                                                            </td>
                                                            <td>
                                                                <%# Eval("ARTCLECMMNTDSCRPTN")%>
                                                            </td>
                                                            <td>
                                                                <asp:HiddenField ID="hdnArticleIsApproved" runat="server" Value='<%#DataBinder.Eval(Container.DataItem, "ISAPPROVED")%>' />
                                                                <img class="GridItemImage" src='/Images/StyleImages/Admin/<%# (Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "ISAPPROVED"))) ? "ListItemActive.png" : "ListItemPassive.png"%>'
                                                                    title='<%#(Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "ISAPPROVED"))) ? "Aktif" : "Pasif"%>' />
                                                            </td>
                                                           
                                                            <td>
                                                                <asp:ImageButton ID="btnDelete" runat="server" CommandName="DeleteMe" CommandArgument='<%# Eval("ARTICLECOMMENTID")%>'
                                                                    ImageUrl="Images/DeleteProduct.png" />
                                                            </td>
                                                            <td>
                                                                <asp:ImageButton ID="btnApprove" runat="server" CommandName="ApproveMe" CommandArgument='<%# Eval("ARTICLECOMMENTID")%>'
                                                                    Width="16" Height="16" ImageUrl="/Images/StyleImages/onay.png" />
                                                            </td>
                                                        </tr>
                                                    </ItemTemplate>
                                                </asp:Repeater>
                                            </table>
                                        </td>
                                        <td class="RCMR">
                                        </td>
                                    </tr>
                                    
                                    <tr>
                                        <td class="RCBL">
                                            &nbsp;
                                        </td>
                                        <td class="RCBM">
                                            &nbsp;
                                        </td>
                                        <td class="RCBR">
                                            &nbsp;
                                        </td>
                                    </tr>
                                </table>
                            </telerik:RadPageView>
                        </telerik:RadMultiPage>
                    </td>
                </tr>
            </table>
        </ContentTemplate>
        <Triggers>
            <asp:PostBackTrigger ControlID="btnSave" />
        </Triggers>
    </asp:UpdatePanel>
    </div>
    </form>
</body>
</html>
