﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="CmsList.aspx.cs" Inherits="Yaklasim.Admin.CmsList" %>

<%@ Register Src="UserControl/UCHeader.ascx" TagName="UCHeader" TagPrefix="uc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
  <title>Cms Listesi</title>
  <script type="text/javascript" src="/Scripts/Message.js"></script>
  <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
  <script type="text/javascript" src="/Scripts/Modal.js"></script>
  <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
  <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
</head>
<body>
  <form id="form1" runat="server">
  <asp:UpdatePanel ID="up" runat="server">
    <ContentTemplate>
   
      <table cellpadding="0" cellspacing="0" border="0" width="100%">
        <tr>
          <td>
            <uc1:UCHeader ID="UCHeader1" runat="server" />
          </td>
        </tr>
        <tr>
          <td>
            <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td class="RCUL">
                  &nbsp;
                </td>
                <td class="RCUM">
                  Cms Listesi
                </td>
                <td class="RCUR">
                  &nbsp;
                </td>
              </tr>
              <tr>
                <td class="RCML">
                </td>
                <td class="RCMM">
                  <table class="Filter" align="center">
                    <tr>
                      <td class="FilterCaption">
                        Cms Konusu
                      </td>
                      <td>
                        :
                      </td>
                      <td class="FilterObject">
                        <asp:TextBox CssClass="txt" ID="txtFilterCms" runat="server" TabIndex="1" MaxLength="200"></asp:TextBox>
                      </td>
                      <td class="FilterCaption">
                        Cms Kategori
                      </td>
                      <td>
                        :
                      </td>
                      <td class="FilterObject">
                        <asp:DropDownList ID="drpCms" runat="server"></asp:DropDownList>
                       </td>
                      <td class="FilterCaption">
                        Durum
                      </td>
                      <td>
                        :
                      </td>
                      <td class="FilterObject">
                        <asp:DropDownList CssClass="drp" ID="ddlCmsActive" runat="server" AppendDataBoundItems="true">
                          <asp:ListItem Text="Seçiniz" Selected="True"></asp:ListItem>
                          <asp:ListItem Value="1">Aktif</asp:ListItem>
                          <asp:ListItem Value="0">Pasif</asp:ListItem>
                        </asp:DropDownList>
                      </td>
                    </tr>
                    <tr>
                      <td colspan="6" align="right">
                        <asp:Button CssClass="btn1" ID="btnList" runat="server" Text="Listele" OnClick="btnList_Click"
                          TabIndex="6" ValidationGroup="validate" />
                      </td>
                    </tr>
                  </table>
                </td>
                <td class="RCMR">
                </td>
              </tr>
              <tr>
                <td class="RCBL">
                  &nbsp;
                </td>
                <td class="RCBM">
                  &nbsp;
                </td>
                <td class="RCBR">
                  &nbsp;
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>
            &nbsp;
          </td>
        </tr>
        <tr>
          <td>
            <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td class="RCUL">
                  &nbsp;
                </td>
                <td class="RCUM">
                  Cms Listesi    <img style="cursor: pointer" src="/Images/StyleImages/Admin/categoryadd.png" onclick="popitup_cAdd()" />
                </td>
                <td class="RCUR">
                  &nbsp;
                </td>
              </tr>
              <tr>
                <td class="RCML">
                </td>
                <td class="RCMM">
                  <table class="Grid" cellpadding="0" cellspacing="0" border="0">
                    <tr>
                      <th>
                        Cms Kategori
                      </th>
                       <th>
                        Cms Konusu
                      </th>
                      <th>
                        Durum
                      </th>
                      <th>
                        İşlem
                      </th>
                      <th>
                      </th>
                    </tr>
                    <asp:Repeater ID="rptList" runat="server" OnItemCommand="rptList_ItemCommand">
                      <ItemTemplate>
                        <tr class="GridItem">
                          <td width="100">
                            <asp:HiddenField ID="hdnId" runat="server" Value='<%#Eval("ID") %>' />
                            <%#DataBinder.Eval(Container.DataItem, "CATEGORYNAME")%>
                          </td>
                          <td width="100">
                            
                            <%#DataBinder.Eval(Container.DataItem, "SUBJECT")%>
                          </td>
                          <td width="20">
                            <%# (Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "ACTIVE"))) ? "Aktif" : "Pasif"%>
                          </td>
                          <td width="10">
                            <img id="imgupdate" style="cursor: pointer" src="/Images/StyleImages/Admin/ListItemDetail.png"
                              onclick="popitup_c(<%#DataBinder.Eval(Container.DataItem, "ID")%>)" alt="" height="25"
                              width="27" title="Güncelle" />
                          </td>
                             <td>
                                                        <asp:ImageButton ID="imgDelete" runat="server" CommandName="Delete" CommandArgument='<%# Eval("ID")%>'
                                                            OnClientClick="return confirm('Silmek istediğinizden emin misiniz?');" Width="20"
                                                            Height="20" ImageUrl="images/sil.png" ToolTip="Sil" />
                                                    </td>
                        </tr>
                      </ItemTemplate>
                      <AlternatingItemTemplate>
                        <tr class="GridItemAlt">
                          <td width="100">
                            <asp:HiddenField ID="hdnId" runat="server" Value='<%#Eval("ID") %>' />
                            <%#DataBinder.Eval(Container.DataItem, "CATEGORYNAME")%>
                          </td>
                          <td width="100">
                            
                            <%#DataBinder.Eval(Container.DataItem, "SUBJECT")%>
                          </td>
                          <td width="20">
                            <%# (Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "ACTIVE"))) ? "Aktif" : "Pasif"%>
                          </td>
                          <td width="10">
                            <img id="imgupdate" style="cursor: pointer" src="/Images/StyleImages/Admin/ListItemDetail.png"
                              onclick="popitup_c(<%#DataBinder.Eval(Container.DataItem, "ID")%>)" alt="" height="25"
                              width="27" title="Güncelle" />
                          </td>
                             <td>
                                                        <asp:ImageButton ID="imgDelete" runat="server" CommandName="Delete" CommandArgument='<%# Eval("ID")%>'
                                                            OnClientClick="return confirm('Silmek istediğinizden emin misiniz?');" Width="20"
                                                            Height="20" ImageUrl="images/sil.png" ToolTip="Sil" />
                                                    </td>
                        </tr>
                      </AlternatingItemTemplate>
                    </asp:Repeater>
                  </table>
                </td>
                <td class="RCMR">
                </td>
              </tr>
              <tr>
                <td class="RCBL">
                  &nbsp;
                </td>
                <td class="RCBM">
                  &nbsp;
                </td>
                <td class="RCBR">
                  &nbsp;
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
   
    </ContentTemplate>
  </asp:UpdatePanel>
  </form>
  <script language="javascript" type="text/javascript">
      function popitup_c(id) {
          ShowModal('CmsUpdate.aspx?CmsId=' + id, 1000, 500, 'Cms Güncelleme');
      }
      function popitup_cAdd() {
          ShowModal('CmsUpdate.aspx', 1000, 500, 'Cms Güncelleme');
      }
  </script>
</body>
</html>