﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ContentCommentList.aspx.cs"
    Inherits="Yaklasim.Admin.ContentCommentList" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Src="UserControl/UCHeader.ascx" TagName="UCHeader" TagPrefix="uc1" %>
<%@ Register Src="UserControl/UCArticleContent.ascx" TagName="UCCommentContent" TagPrefix="uc2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Mevzuat Yorumları</title>
    <script type="text/javascript" src="/Scripts/Message.js"></script>
    <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
    <script type="text/javascript" src="/Scripts/Modal.js"></script>
    <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:UpdatePanel ID="up" runat="server">
            <ContentTemplate>
                <table cellpadding="0" cellspacing="0" border="0" width="100%">
                    <tr>
                        <td>
                            <uc1:UCHeader ID="UCHeader1" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                                <tr>
                                    <td class="RCUL">
                                        &nbsp;
                                    </td>
                                    <td class="RCUM">
                                        Yorum Arama
                                    </td>
                                    <td class="RCUR">
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td class="RCML">
                                    </td>
                                    <td class="RCMM">
                                        <table class="Filter" align="center">
                                            <tr>
                                                <%-- <td class="FilterCaption">
                                                    Kategori
                                                </td>
                                                <td>
                                                    :
                                                </td>
                                                <td class="FilterObject">
                                                    <asp:DropDownList ID="DropDownList1" runat="server">
                                                        <asp:ListItem Text="text1" />
                                                        <asp:ListItem Text="text2" />
                                                    </asp:DropDownList>
                                                </td>--%>
                                                <td class="FilterCaption">
                                                    Başlangıç Tarihi
                                                </td>
                                                <td>
                                                    :
                                                </td>
                                                <td>
                                                    <telerik:RadDatePicker CssClass="radDate" ID="rdpStartDate" runat="server" Width="140px">
                                                    </telerik:RadDatePicker>
                                                </td>
                                                <td class="FilterCaption">
                                                    Bitiş Tarihi
                                                </td>
                                                <td>
                                                    :
                                                </td>
                                                <td>
                                                    <telerik:RadDatePicker CssClass="radDate" ID="rdpEndDate" runat="server" Width="140px">
                                                    </telerik:RadDatePicker>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="FilterCaption">
                                                    Durum
                                                </td>
                                                <td>
                                                    :
                                                </td>
                                                <td>
                                                    <asp:DropDownList ID="drpStatus" runat="server">
                                                          <asp:ListItem Text="Onaylandı"  Value="1"></asp:ListItem>
                                                          <asp:ListItem Text="Reddedildi"  Value="0"></asp:ListItem>
                                                          <asp:ListItem Text="OnayBekliyor" Selected="True"  Value="2"></asp:ListItem>
                                                    </asp:DropDownList>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="5" align="right">
                                                    <asp:Button ID="btnList" runat="server" CssClass="btn1" Text="Listele" OnClick="btnList_Click" />
                                                </td>
                                                <td>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="RCMR">
                                    </td>
                                </tr>
                                <tr>
                                    <td class="RCBL">
                                        &nbsp;
                                    </td>
                                    <td class="RCBM">
                                        &nbsp;
                                    </td>
                                    <td class="RCBR">
                                        &nbsp;
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &nbsp;
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                                <tr>
                                    <td class="RCUL">
                                        &nbsp;
                                    </td>
                                    <td class="RCUM">
                                        Yorum Listesi&nbsp;
                                    </td>
                                    <td class="RCUR">
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td class="RCML">
                                    </td>
                                    <td class="RCMM">
                                        <table class="Grid" cellpadding="0" cellspacing="0" border="0">
                                            <tr>
                                                <th>
                                                    Kulllanıcı Adı
                                                </th>
                                                <th>
                                                    İçerik Adı
                                                </th>
                                                <th>Yorum</th>
                                                <%--   <th>
                                                    TITLE
                                                </th>--%>
                                                <%--     <th>
                                                    COMMENT
                                                </th>--%>
                                                <th>
                                                    Tarih
                                                </th>
                                                <th>
                                                    Durum
                                                </th>
                                                <th>
                                                    İşlem
                                                </th>
                                            </tr>
                                            <asp:Repeater ID="rptList" runat="server" OnItemCommand="rptList_ItemCommand" OnItemDataBound="rptlist_OnItemDataBound">
                                                <ItemTemplate>
                                                <tr>
                                                     <td>
                                                        <asp:Label ID="lblMember" runat="server" Text='<%#Eval("MEMBERID")%>'></asp:Label>
                                                    </td>
                                                    <td>
                                                        <a href='../CategoryDetail.aspx?categoryID=<%#Eval("CONTENTID")%>'>
                                                            <asp:Label ID="lblContentID" runat="server" Text='<%#Eval("CONTENTID")%>'></asp:Label></a>
                                                    </td>
                                                    <td><%#Eval("DESCRIPTION") %></td>
                                                    <td><%#Convert.ToDateTime(Eval("DATE")).ToString("dd.MM.yyyy")%></td>
                                                       
                                                          <td>
                                                          <asp:HiddenField ID="hdnArticleIsApproved" runat="server" Value='<%#DataBinder.Eval(Container.DataItem, "ISAPPROVED")%>' />
                                                                 <img class="GridItemImage" src='/Images/StyleImages/Admin/<%# (Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "ISAPPROVED"))) ? "ListItemActive.png" : "ListItemPassive.png"%>'
                                                                          title='<%#(Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "ISAPPROVED"))) ? "Aktif" : "Pasif"%>' /> 
                                  
                                                          </td>                                                         
                                                          <td>
                                                                 <asp:ImageButton ID="btnDelete" runat="server" CommandName="DeleteMe" CommandArgument='<%# Eval("ID")%>' ToolTip="Sil"
                                                                         ImageUrl="Images/DeleteProduct.png" />
                                                          </td>
                                                          <td>
                                                              <asp:ImageButton ID="btnApprove" runat="server" CommandName="ApproveMe" CommandArgument='<%# Eval("ID")%>' ToolTip="Onayla"
                                                                     Width="16" Height="16" ImageUrl="/Images/StyleImages/onay.png" />
                                                          </td>
                                                     </tr>
                                                </ItemTemplate>
                                            </asp:Repeater>
                                        </table>
                                    </td>
                                    <td class="RCMR">
                                    </td>
                                </tr>
                                <tr>
                                    <td class="RCBL">
                                        &nbsp;
                                    </td>
                                    <td class="RCBM">
                                        &nbsp;
                                    </td>
                                    <td class="RCBR">
                                        &nbsp;
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </ContentTemplate>
        </asp:UpdatePanel>
        <script language="javascript" type="text/javascript">
            //            function popitup_cAdd() {
            //                ShowModal('ContentUpdate.aspx', 1000, 600, 'İçerik Ekleme');
            //            }
            function popitup_cUpd(val, name) {
                ShowModal('CommentUpdate.aspx?contentid=' + val + '&gid=' + name, 600, 400, 'Yorum Onay');
            }
        </script>
    </div>
    </form>
</body>
</html>
