﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DemoRequestList.aspx.cs"
    Inherits="Yaklasim.Admin.DemoRequestList" %>

<%@ Register Src="UserControl/UCHeader.ascx" TagName="UCHeader" TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Demo Talep Listesi</title>
    <script type="text/javascript" src="/Scripts/Message.js"></script>
    <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
    <script type="text/javascript" src="/Scripts/Modal.js"></script>
    <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
</head>
<body>
    <form id="form1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Always" RenderMode="Block">
        <ContentTemplate>
            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                <tr>
                    <td>
                        <uc1:UCHeader ID="ucHeader1" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td class="RCUL">
                                    &nbsp;
                                </td>
                                <td class="RCUM">
                                    Demo Talep Arama
                                </td>
                                <td class="RCUR">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="RCML">
                                </td>
                                <td class="RCMM">
                                    <table class="Filter" align="center">
                                        <tr>
                                            <td class="FilterCaption">
                                                Ad
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox ID="txtName" runat="server"></asp:TextBox>
                                            </td>
                                            <td class="FilterCaption">
                                                Soyad
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox ID="txtSurname" runat="server"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="FilterCaption">
                                                Şehir Adı
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:DropDownList runat="server" ID="drpCity">
                                                </asp:DropDownList>
                                            </td>
                                            <td class="FilterCaption">
                                                Şifre Verildi Mi?
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td>
                                                <asp:DropDownList ID="ddlPasswordGiven" runat="server">
                                                    <asp:ListItem Value="-1" Text="Seçiniz"></asp:ListItem>
                                                    <asp:ListItem Value="0" Text="Evet"></asp:ListItem>
                                                    <asp:ListItem Value="1" Text="Hayır"></asp:ListItem>
                                                </asp:DropDownList>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="FilterCaption">
                                                Demo Talep Tarihi Başlangıç
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <telerik:RadDatePicker ID="txtStartDate" runat="server" Culture="tr-TR" Width="100">
                                                </telerik:RadDatePicker>
                                            </td>
                                            <td class="FilterCaption">
                                                Demo Talep Tarihi Bitiş
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <telerik:RadDatePicker ID="txtEndDate" runat="server" Culture="tr-TR" Width="100">
                                                </telerik:RadDatePicker>
                                            </td>
                                            <td>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="6" align="right">
                                                <asp:Button ID="btnList" runat="server" CssClass="btn1" Text="Listele" OnClick="btnList_Click" />
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td class="RCMR">
                                </td>
                            </tr>
                            <tr>
                                <td class="RCBL">
                                    &nbsp;
                                </td>
                                <td class="RCBM">
                                    &nbsp;
                                </td>
                                <td class="RCBR">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                            <caption>
                                &nbsp;
                                <tr>
                                    <td>
                                    </td>
                                    <td align="right">
                                        <asp:Button ID="btnApprove" runat="server" CssClass="btnEdit" OnClick="btnApproveEdit_Click"
                                            Text="Seçilenlere Şifre Verilsin" />
                                    </td>
                                </tr>
                                <tr>
                                    <td class="RCUL">
                                        &nbsp;
                                    </td>
                                    <td class="RCUM">
                                        Üye Listesi
                                        <img src="/Images/StyleImages/Admin/categoryadd.png" width="30" height="25" title="Yeni Kayıt"
                                            onclick="popitup_cAdd()" />
                                        <asp:ImageButton ImageUrl="~/Admin/images/save.png" OnClick="btnSave_Click" runat="server"
                                            ID="btnSave" Width="30" Height="25" ToolTip="Bilgisayarıma Kaydet" />
                                    </td>
                                    <td class="RCUR">
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td class="RCML">
                                    </td>
                                    <td class="RCMM">
                                        <table border="0" cellpadding="0" cellspacing="0" class="Grid">
                                            <tr>
                                                <th>
                                                    <asp:Button ID="btnAd" runat="server" OnClick="btn_Click" Text="Ad" />
                                                </th>
                                                <th>
                                                    <asp:Button ID="btnSoyad" runat="server" OnClick="btn_Click" Text="Soyad" />
                                                </th>
                                                <th>
                                                    Kullanıcı Adı
                                                </th>
                                                <th>
                                                    <asp:Button ID="btnEMail" runat="server" OnClick="btn_Click" Text="EMail" />
                                                </th>
                                                <th>
                                                    <asp:Button ID="btnPhone" runat="server" OnClick="btn_Click" Text="Tel No." />
                                                </th>
                                                <th>
                                                   Cep Telefonu
                                                 </th>
                                                <th>
                                                    <asp:Button ID="btnRequestDate" runat="server" OnClick="btn_Click" Text="Talep Tarihi" />
                                                </th>
                                                <th>
                                                    <asp:Button ID="btnCity" runat="server" OnClick="btn_Click" Text="Şehir" />
                                                </th>
                                                <th>
                                                     İlçe
                                                </th>
                                                <th>
                                                     Şifre
                                                </th>
                                                <th>
                                                    Şifre Verildi Mi?
                                                </th>
                                                <th>
                                                    İşlem
                                                </th>
                                                <%-- <th>
                                                    <asp:DropDownList ID="drpdurum" runat="server" AutoPostBack="True" 
                                                        OnSelectedIndexChanged="drpdurum_SelectedIndexChanged">
                                                        <asp:ListItem Text="Hiçbiri" Value="0"></asp:ListItem>
                                                        <asp:ListItem Text="Hepsi" Value="1"></asp:ListItem>
                                                    </asp:DropDownList>
                                                </th>--%>
                                            </tr>
                                            <asp:Repeater ID="rptList" runat="server" OnItemCommand="rptList_ItemCommand" OnItemDataBound="rptList_OnItemDataBound">
                                                <ItemTemplate>
                                                    <tr class="GridItem">
                                                        <td>
                                                            <asp:Literal ID="ltrName" runat="server" Text='<%#Eval("NAME")%>'></asp:Literal>
                                                            <asp:HiddenField ID="hdnID" runat="server" Value='<%# Eval("ID") %>' />
                                                        </td>
                                                        <td>
                                                            <asp:Literal ID="ltrSurname" runat="server" Text='<%#Eval("SURNAME")%>'></asp:Literal>
                                                        </td>
                                                        <td>
                                                       <%#Eval("LOGINNAME")%>
                                                        </td>
                                                        <td>
                                                            <asp:Literal ID="ltrEMail" runat="server" Text='<%#Eval("EMAIL")%>'></asp:Literal>
                                                        </td>
                                                        <td>
                                                            <asp:Literal ID="ltrPhone" runat="server" Text='<%#Eval("PHONENUMBER")%>'></asp:Literal>
                                                        </td>
                                                        <td>
                                                            <%#Eval("MOBILE")%>
                                                       </td>
                                                       
                                                        <td>
                                                            <asp:Literal ID="ltrRequestDate" runat="server" Text='<%# ShowDates(Eval("REQUESTDATE"))%>'></asp:Literal>
                                                        </td>
                                                        <td>
                                                            <asp:Literal ID="ltrCity" runat="server" Text='<%#Eval("CITYNAME")%>'></asp:Literal>
                                                        </td>
                                                       
                                                         <td>
                                                         <%#Eval("CITYDISTRICTNAME")%>
                                                         </td>
                                                          <td>
                                                          <%#Eval("PASSWORD")%>
                                                        </td>
                                                        <td>
                                                            <asp:CheckBox ID="chcPassGiven" runat="server" />
                                                            <%--<asp:HiddenField ID="pasgiven"  <%# Eval("PASSWORGIVEN")%> runat="server" />--%>
                                                        </td>
                                                        <td>
                                                            <asp:ImageButton ID="ImageButton1" ImageUrl="~/Admin/images/DeleteProduct.png" runat="server"
                                                                ToolTip="Demoyu Sil" OnClientClick="return(confirm('Demo silinsin mi ?'))" CommandArgument='<%#Eval("ID") %>'
                                                                CommandName="delete" />
                                                        </td>
                                                    </tr>
                                                </ItemTemplate>
                                            </asp:Repeater>
                                        </table>
                                    </td>
                                    <td class="RCMR">
                                    </td>
                                </tr>
                                <tr>
                                    <td class="RCBL">
                                        &nbsp;
                                            
                                    </td>
                                    <td class="RCBM">
                                        &nbsp;
                                    </td>
                                    <td class="RCBR">
                                        &nbsp;
                                    </td>
                                </tr>
                            </caption>
                        </table>
                    </td>
                </tr>

            </table>
        </ContentTemplate>
        <Triggers>
            <%--  <asp:PostBackTrigger ControlID="btnSave" />--%>
            <asp:AsyncPostBackTrigger ControlID="btnList" EventName="Click" />
            <asp:PostBackTrigger ControlID="btnSave" />
        </Triggers>
    </asp:UpdatePanel>
    </form>
    <script type="text/javascript" language="javascript">
        if (Sys) {

            Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(BeginRequest);
            Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequest);
        }
        function popitup_cAdd() {
            ShowModal('DemoMemberUpdate.aspx', 350, 300, 'Demo Ekleme');
        }
    </script>
</body>
</html>
