﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MagazineAuthorList.aspx.cs"
    Inherits="Yaklasim.Admin.MagazineAuthorList" %>

<%@ Register Src="UserControl/UCHeader.ascx" TagName="UCHeader" TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head2" runat="server">
    <title>Yazar Listesi</title>
    <script type="text/javascript" src="/Scripts/Message.js"></script>
    <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
    <script type="text/javascript" src="/Scripts/Modal.js"></script>
    <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
</head>
<body>
    <form id="form2" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Always" RenderMode="Block">
        <ContentTemplate>
            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                <tr>
                    <td>
                        <uc1:UCHeader ID="ucHeader1" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td class="RCUL">
                                    &nbsp;
                                </td>
                                <td class="RCUM">
                                    Yazar Arama
                                </td>
                                <td class="RCUR">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="RCML">
                                </td>
                                <td class="RCMM">
                                    <table class="Filter" align="center">
                                        <tr>
                                            <td class="FilterCaption">
                                                Ad
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox ID="txtName" runat="server"></asp:TextBox>
                                            </td>
                                            <td class="FilterCaption">
                                                Soyad
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox ID="txtSurname" runat="server"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="6" align="right">
                                                <asp:Button ID="btnList" runat="server" CssClass="btn1" Text="Listele" OnClick="btnList_Click" />
                                            </td>
                                            <td>
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td class="RCMR">
                                </td>
                            </tr>
                            <tr>
                                <td class="RCBL">
                                    &nbsp;
                                </td>
                                <td class="RCBM">
                                    &nbsp;
                                </td>
                                <td class="RCBR">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td class="RCUL">
                                    &nbsp;
                                </td>
                                <td class="RCUM">
                                    Magazin Yazar Listesi
                                    <img src="/Images/StyleImages/Admin/categoryadd.png" width="30" height="25" title="Yeni Kayıt"
                                        onclick="popitup_cAdd()" />
                                    <asp:ImageButton ImageUrl="~/Admin/images/save.png" OnClick="btnSave_Click" runat="server"
                                        ID="btnSave" Width="30" Height="25" ToolTip="Bilgisayarıma Kaydet" />
                                </td>
                                <td class="RCUR">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="RCML">
                                </td>
                                <td class="RCMM">
                                    <table class="Grid" cellpadding="0" cellspacing="0" border="0">
                                        <tr>
                                            <th>
                                                <asp:Button ID="btnAD" runat="server" Text="Ad" OnClick="btn_Click" />
                                            </th>
                                            <th>
                                                <asp:Button ID="btnSoyad" Text="Soyad" runat="server" OnClick="btn_Click" />
                                            </th>
                                            <th>
                                                İşlem
                                            </th>
                                        </tr>
                                        <asp:Repeater ID="rptList" runat="server" OnItemCommand="rptList_ItemCommand">
                                            <ItemTemplate>
                                                <tr class="GridItem">
                                                    <td>
                                                        <%#Eval("NAME")%>
                                                    </td>
                                                    <td>
                                                        <%#Eval("SURNAME")%>
                                                    </td>
                                                    <td>
                                                        <img class="GridImg" src="/Images/StyleImages/Admin/ListItemDetail.png" title="Güncelle"
                                                            onclick="popitup_cUpd(<%#DataBinder.Eval(Container.DataItem, "ID")%>)" />
                                                        <asp:ImageButton ID="imgDelete" runat="server" CommandName="Delete" CommandArgument='<%# Eval("ID")%>'
                                                            OnClientClick="return confirm('Silmek istediğinizden emin misiniz?');" Width="20"
                                                            Height="20" ImageUrl="images/sil.png" ToolTip="Sil" />
                                                    </td>
                                                </tr>
                                            </ItemTemplate>
                                        </asp:Repeater>
                                    </table>
                                </td>
                                <td class="RCMR">
                                </td>
                            </tr>
                            <tr>
                                <td class="RCBL">
                                    &nbsp;
                                </td>
                                <td class="RCBM">
                                    &nbsp;
                                </td>
                                <td class="RCBR">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </ContentTemplate>
        <Triggers>
            <asp:PostBackTrigger ControlID="btnSave" />
            <asp:AsyncPostBackTrigger ControlID="btnList" EventName="Click" />
        </Triggers>
    </asp:UpdatePanel>
    <script language="javascript" type="text/javascript">
        function popitup_cAdd() {
            ShowModal('MagazineAuthorUpdate.aspx', 600, 400, 'Yazar Ekleme');
        }
        function popitup_cUpd(val) {
            ShowModal('MagazineAuthorUpdate.aspx?ID=' + val, 1000, 500, 'Yazar Güncelleme');
        }
    </script>
    </form>
</body>
</html>
