﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MemberPictures.aspx.cs" Inherits="Yaklasim.Admin.MemberPictures" %>

<%@ Register Src="UserControl/UCHeader.ascx" TagName="UCHeader" TagPrefix="uc1" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head2" runat="server">
    <title>Üye Resim Listesi</title>
    <
    <script type="text/javascript" src="/Scripts/Message.js"></script>
    <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
    <script type="text/javascript" src="/Scripts/Modal.js"></script>
    <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
</head>
<body>
    <form id="form2" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Always" RenderMode="Block">
        <ContentTemplate>
            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                <tr>
                    <td>
                        <uc1:UCHeader ID="ucHeader1" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>

                           <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                                        <tr>
                                            <td>
                                              &#160;&nbsp;
                                           <%--     <asp:Button ID="btnImageList" runat="server" OnClick="btnImageList_Click" />--%>
                                            </td>
                                            <td class="RCUM">
                                               Onay Bekleyen Üye Resimleri
                                                <%--<img style="cursor: pointer" src="../images/StyleImages/Admin/categoryadd.png" onclick="popitup_cAdd(<%= MEMBERID%>)" />--%>
                                            </td>
                                            <td class="RCUR">
                                                &#160;&nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="RCML">
                                            </td>
                                            <td class="RCMM">
                                                <table class="Grid" cellpadding="0" cellspacing="0" border="0">
                                                    <tr> 
                                                        <th>
                                                        Kullanıcı Adı
                                                        </th>
                                                    
                                                        <th>
                                                            Resim
                                                        </th>
                                                        <th>
                                                            İşlem
                                                        </th>
                                                        <th>
                                                        Sil
                                                        </th>
                                                        <th>
                                                        Onayla
                                                        </th>
                                                    </tr>
                                                    <asp:Repeater ID="rptImageList" runat="server" OnItemCommand="rptImagelist_ItemCommand"
                                                        OnItemDataBound="rptImagelist_OnItemDataBound">
                                                        <ItemTemplate>
                                                            <tr class="GridItem">
                                                                 <td>
                                                                    <%#DataBinder.Eval(Container.DataItem,"LOGINNAME")%>
                                                                </td>   
                                                                <td>
                                                                    <img src='../Images/MemberImages/<%#DataBinder.Eval(Container.DataItem,"PICTUREID")%>_xs.jpg' />
                                                                </td>
                                                                <%--<td>
                                                                    <asp:RadioButton ID="rdMain" runat="server" onclick="SetUniqueRadioButton(rptImageList_ctl00_rdMain,this)" />
                                                                </td>--%><td>
                                                                    <asp:HiddenField ID="hdnISPICTUREAPPROVED" runat="server" Value='<%#DataBinder.Eval(Container.DataItem, "ISPICTUREAPPROVED")%>' />
                                                                    <img class="GridItemImage" src='/Images/StyleImages/Admin/<%# (Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "ISPICTUREAPPROVED"))) ? "ListItemActive.png" : "ListItemPassive.png"%>'
                                                                        title='<%#(Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "ISPICTUREAPPROVED"))) ? "Aktif" : "Pasif"%>' />
                                                                </td>
                                                               <%-- <td colspan="2">
                                                                    <img class="GridItemImage" src="/Images/StyleImages/Admin/ListItemDetail.png" title="Güncelle"
                                                                        onclick="popitup_c1(<%#DataBinder.Eval(Container.DataItem, "ID")%>)" />
                                                                </td>--%>
                                                                <td>
                                                                    <asp:ImageButton ID="btnDelete" runat="server" CommandName="DeleteMe" CommandArgument='<%# Eval("ID")%>'
                                                                        ImageUrl="Images/DeleteProduct.png" />
                                                                </td>
                                                                <td>
                                                                    <asp:ImageButton ID="btnApprove" runat="server" CommandName="ApproveMe" CommandArgument='<%# Eval("ID")%>'
                                                                        Width="16" Height="16" ImageUrl="/Images/StyleImages/onay.png" />
                                                                </td>
                                                            </tr>
                                                        </ItemTemplate>
                                                    </asp:Repeater>
                                                    <tr>
                                                        <td class="RCML">
                                                        </td>
                                                        <td class="RCMM">
                                                        </td>
                                                        <td class="RCMR" align="right">
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td class="RCMR">
                                                &#160;&nbsp;
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="RCBL">
                                                &#160;&nbsp;
                                            </td>
                                            <td class="RCBM">
                                                &#160;&nbsp;
                                            </td>
                                            <td class="RCBR">
                                                &#160;&nbsp;
                                            </td>
                                        </tr>
                                    </table>
                                     </td>
                </tr>
            </table>
        </ContentTemplate>
  
    </asp:UpdatePanel>
    <script language="javascript" type="text/javascript">
        function popitup_cAdd() {
            ShowModal('MemberUpdate.aspx', 700, 550, 'Üye Ekleme');
        }
        function popitup_cUpd(val) {
            ShowModal('MemberUpdate.aspx?ID=' + val, 700, 550, 'Üye Güncelleme');
        }
    </script>
    </form>
    <script type="text/javascript" language="javascript">
        if (Sys) {

            Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(BeginRequest);
            Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequest);
        }
    </script>
</body>
</html>
