﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="OrderList.aspx.cs" Inherits="Yaklasim.Admin.OrderList" %>

<%@ Register Src="UserControl/UCHeader.ascx" TagName="UCHeader" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Sipariş Listesi</title>
    <script type="text/javascript" src="/Scripts/Message.js"></script>
    <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
    <script type="text/javascript" src="/Scripts/Modal.js"></script>
    <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
</head>
<body>
    <form id="form1" runat="server">
    <asp:UpdatePanel ID="up" runat="server">
        <ContentTemplate>
            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                <tr>
                    <td>
                        <uc1:UCHeader ID="UCHeader1" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td class="RCUL">
                                    &nbsp;
                                </td>
                                <td class="RCUM">
                                    Sipariş Arama
                                </td>
                                <td class="RCUR">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="RCML">
                                </td>
                                <td class="RCMM">
                                    <table class="Filter" align="center">
                                        <tr>
                                            <td class="FilterCaption">
                                                Durum
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:DropDownList ID="drpStatus" runat="server">
                                                </asp:DropDownList>
                                            </td>
                                            <td class="FilterCaption">
                                                Sipariş Kodu
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox CssClass="drp" ID="txtOrderCode" runat="server" MaxLength="12"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="FilterCaption">
                                                Müşteri Ad/Soyad
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox CssClass="txt" ID="txtMusteriAd" runat="server" MaxLength="50"></asp:TextBox>
                                            </td>
                                            <td class="FilterCaption">
                                                TC Kimlik No
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox CssClass="txt" ID="txtTCKimlik" runat="server" MaxLength="50"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                        <td class="FilterCaption">
                                                Durum
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject" colspan="4">
                                                <asp:DropDownList ID="drpBuyType" runat="server">
                                                <asp:ListItem Text="Seçiniz" Value="0"></asp:ListItem>
                                                <asp:ListItem Text="Kitap Satış" Value="1"></asp:ListItem>
                                                <asp:ListItem Text="Mevduat Satış" Value="2"></asp:ListItem>
                                                <asp:ListItem Text="Dergi Satış" Value="3"></asp:ListItem>
                                                </asp:DropDownList>
                                            </td>
                                        
                                        </tr>
                                        <tr>
                                            <td colspan="6" align="right">
                                                <asp:Button ID="ButtonList" runat="server" OnClick="btnList_Click" Text="Listele"
                                                    CssClass="btn1" />
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td class="RCMR">
                                </td>
                            </tr>
                            <tr>
                                <td class="RCBL">
                                    &nbsp;
                                </td>
                                <td class="RCBM">
                                    &nbsp;
                                </td>
                                <td class="RCBR">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td class="RCUL">
                                    &nbsp;
                                </td>
                                <td class="RCUM">
                                    Sipariş Listesi
                                    <asp:Label ID="lblCount" runat="server"></asp:Label>
                                </td>
                                <td class="RCUR">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="RCML">
                                </td>
                                <td class="RCMM">
                                    <table class="Grid" cellpadding="0" cellspacing="0" border="0">
                                        <tr>
                                            <th>
                                                Sipariş Kodu
                                            </th>
                                            <th>
                                                Tarih
                                            </th>
                                            <th>
                                                İsim
                                            </th>
                                            <th>
                                                TC Kimlik No
                                            </th>
                                            <th>
                                                Telefon
                                            </th>
                                            <th>
                                                Ödeme Tipi
                                            </th>
                                            <th>
                                                Durum
                                            </th>                                           
                                            <th>
                                                Satış Tipi
                                            </th>
                                            <th>
                                                Detay
                                            </th>
                                        </tr>
                                        <asp:Repeater ID="rptList" runat="server" OnItemCommand="rptList_ItemCommand">
                                            <ItemTemplate>
                                                <tr class="GridItem">
                                                    <td width="100">
                                                        <%#DataBinder.Eval(Container.DataItem, "ORDERKOD")%>
                                                    </td>
                                                    <td width="100">
                                                        <%#Convert.ToDateTime(DataBinder.Eval(Container.DataItem, "ORDERDATE")).ToString("dd.MM.yyyy HH:mm")%>
                                                    </td>
                                                    <td width="100">
                                                        <%#DataBinder.Eval(Container.DataItem,"FULLNAME")%>
                                                    </td>
                                                    <td width="100">
                                                        <%#DataBinder.Eval(Container.DataItem, "CITIZENSHIPNUMBER")%>
                                                    </td>
                                                    <td width="100">
                                                        <%#DataBinder.Eval(Container.DataItem,"PHONE")%>
                                                    </td>
                                                    <td width="100">
                                                        <asp:Literal ID="ltPaymentType" runat="server"></asp:Literal>
                                                    </td>
                                                    <td width="105">
                                                        <%# DataBinder.Eval(Container.DataItem, "TYPEID") == "1" ? "Kitap Satış" : DataBinder.Eval(Container.DataItem, "TYPEID") == "1" ? "Mevduat Satış":"Dergi Satış"%>
                                                        <asp:HiddenField ID="HdnTypeStatus" runat="server" Value='<%#Eval("STATUSID")%>'
                                                            Visible="false" />
                                                    </td>
                                                   
                                                    <td width="100">
                                                        <%#DataBinder.Eval(Container.DataItem, "SOURCE")%>
                                                    </td>
                                                    <td width="50">
                                                        <img style="cursor: pointer" src="/Images/StyleImages/Admin/ListItemDetail.png" title="Güncelle"
                                                            onclick="popitup_order(<%#DataBinder.Eval(Container.DataItem, "ID")%>)" />
                                                    </td>
                                                </tr>
                                            </ItemTemplate>
                                            <AlternatingItemTemplate>
                                                <tr class="GridItemAlt">
                                                    <td width="100">
                                                        <%#DataBinder.Eval(Container.DataItem, "ORDERKOD")%>
                                                    </td>
                                                    <td width="100">
                                                        <%#Convert.ToDateTime(DataBinder.Eval(Container.DataItem, "ORDERDATE")).ToString("dd.MM.yyyy HH:mm")%>
                                                    </td>
                                                    <td width="100">
                                                        <%#DataBinder.Eval(Container.DataItem,"FULLNAME")%>
                                                    </td>
                                                    <td width="100">
                                                        <%#DataBinder.Eval(Container.DataItem, "CITIZENSHIPNUMBER")%>
                                                    </td>
                                                    <td width="100">
                                                        <%#DataBinder.Eval(Container.DataItem,"PHONE")%>
                                                    </td>
                                                    <td width="100">
                                                        <asp:Literal ID="ltPaymentType" runat="server"></asp:Literal>
                                                    </td>
                                                    <td width="105">
                                                        <%# DataBinder.Eval(Container.DataItem,"TSTATUS") %>
                                                        <asp:HiddenField ID="HdnTypeStatus" runat="server" Value='<%#Eval("STATUSID")%>'
                                                            Visible="false" />
                                                    </td>                                                  
                                                    <td width="100">
                                                        <%#DataBinder.Eval(Container.DataItem, "SOURCE")%>
                                                    </td>
                                                    <td width="50">
                                                        <img style="cursor: pointer" src="/Images/StyleImages/Admin/ListItemDetail.png" title="Güncelle"
                                                            onclick="popitup_order(<%#DataBinder.Eval(Container.DataItem, "ID")%>)" />
                                                    </td>
                                                </tr>
                                            </AlternatingItemTemplate>
                                        </asp:Repeater>
                                    </table>
                                </td>
                                <td class="RCMR">
                                </td>
                            </tr>
                           
                        </table>
                    </td>
                </tr>
            </table>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
    <script language="javascript" type="text/javascript">
        function popitup_order(id) {
            //var oWin = radopen("OrderDetails.aspx?orderId=" + id, "rwmCCIIII");
            ShowModal('OrderDetails.aspx?orderId=' + id, 750, 520, 'Sipariş Detayı');
        }
         
    </script>
</body>
</html>
