﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ParameterList.aspx.cs" Inherits="Yaklasim.Admin.ParameterList" %>
<%@ Register Src="UserControl/UCHeader.ascx" TagName="UCHeader" TagPrefix="uc1" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <head id="Head2">
        <title>Parametre Listesi</title>
        <script type="text/javascript" src="/Scripts/Message.js"></script>
        <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
        <script type="text/javascript" src="/Scripts/Modal.js"></script>
        <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
        <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
        <script type="text/javascript">
            function PopupRefresh() {
                window.document.getElementById('btnList').click();
            }
        </script>
    </head>
</head>
<body>
    <form id="form1" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <table cellpadding="0" cellspacing="0" border="0" width="100%">
                <tr>
                    <td>
                        <uc1:ucheader id="UCHeader2" runat="server" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td class="RCUL">
                                    &nbsp;
                                </td>
                                <td class="RCUM">
                                    Parametre Arama
                                </td>
                                <td class="RCUR">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="RCML">
                                </td>
                                <td class="RCMM">
                                    <table class="Filter" align="center">
                                        <tr>
                                            <td class="FilterCaption">
                                                Parametre Adı
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox ID="txtParameterName" MaxLength="50" CssClass="txt" runat="server"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td class="FilterCaption">
                                                Parametre Açıklama
                                            </td>
                                            <td>
                                                :
                                            </td>
                                            <td class="FilterObject">
                                                <asp:TextBox ID="txtParameterDesc" MaxLength="50" CssClass="txt" runat="server"></asp:TextBox>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td colspan="3" align="right">
                                                <asp:Button ID="btnList" runat="server" Text="Listele" CssClass="btn1" OnClick="btnList_Click" />
                                            </td>
                                        </tr>
                                    </table>
                                </td>
                                <td class="RCMR">
                                </td>
                            </tr>
                            <tr>
                                <td class="RCBL">
                                    &nbsp;
                                </td>
                                <td class="RCBM">
                                    &nbsp;
                                </td>
                                <td class="RCBR">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td>
                        <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td class="RCUL">
                                    &nbsp;
                                </td>
                                <td class="RCUM">
                                    Parametre Listesi
                                    <asp:Label ID="lblCount" runat="server" Visible="false"></asp:Label>
                                </td>
                                <td class="RCUR">
                                    &nbsp;
                                </td>
                            </tr>
                            <tr>
                                <td class="RCML">
                                </td>
                                <td class="RCMM">
                                    <table class="Grid" cellpadding="0" cellspacing="0" border="0">
                                        <tr>
                                            <th>
                                                #
                                            </th>
                                            <th>
                                                Parametre Adı
                                            </th>
                                            <th width="250">
                                                Parametre Değeri
                                            </th>
                                            <th>
                                                Parametre Açıklaması
                                            </th>
                                            <th>
                                                İşlemlerim
                                            </th>
                                        </tr>
                                        <asp:Repeater ID="rptParameterList" runat="server">
                                            <ItemTemplate>
                                                <tr class="GridItem">
                                                    <td>
                                                        <%#DataBinder.Eval(Container.DataItem, "ID")%>
                                                    </td>
                                                    <td>
                                                        <%#DataBinder.Eval(Container.DataItem, "CODE")%>
                                                    </td>
                                                    <td style="white-space: normal">
                                                        <%#DataBinder.Eval(Container.DataItem, "VALUE")%>
                                                    </td>
                                                    <td>
                                                        <%#DataBinder.Eval(Container.DataItem,"DESCRIPTION")%>
                                                    </td>
                                                    <td>
                                                        <img class="GridItemImage" src="/Images/StyleImages/Admin/ListItemDetail.png" title="Güncelle"
                                                            onclick="popitup_c(<%#DataBinder.Eval(Container.DataItem, "ID")%>)" />
                                                    </td>
                                                </tr>
                                            </ItemTemplate>
                                            <AlternatingItemTemplate>
                                                <tr class="GridItem">
                                                    <td>
                                                        <%#DataBinder.Eval(Container.DataItem, "ID")%>
                                                    </td>
                                                    <td>
                                                        <%#DataBinder.Eval(Container.DataItem, "CODE")%>
                                                    </td>
                                                    <td style="white-space: normal">
                                                        <%#DataBinder.Eval(Container.DataItem, "VALUE")%>
                                                    </td>
                                                    <td>
                                                        <%#DataBinder.Eval(Container.DataItem,"DESCRIPTION")%>
                                                    </td>
                                                    <td>
                                                        <img class="GridItemImage" src="/Images/StyleImages/Admin/ListItemDetail.png" title="Güncelle"
                                                            onclick="popitup_c(<%#DataBinder.Eval(Container.DataItem, "ID")%>)" />
                                                    </td>
                                                </tr>
                                            </AlternatingItemTemplate>
                                        </asp:Repeater>
                                    </table>
                                </td>
                                <td class="RCMR">
                                </td>
                            </tr>
                            <tr>
                                <td class="RCBL">
                                    &nbsp;
                                </td>
                                <td class="RCBM">
                                    &nbsp;
                                </td>
                                <td class="RCBR">
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                    </td>
                </tr>
            </table>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
    <script language="javascript" type="text/javascript">
        function popitup_c(id) {
            ShowModal('ParameterUpdate.aspx?ParameterId=' + id, 350, 200, 'Parametre Güncelleme');
        }
        function popitup_cAdd() {
            ShowModal('ParameterUpdate.aspx', 350, 200, 'Parametre Ekleme');
        }
    </script>
</body>
</html>

