﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SendAdminMessage.aspx.cs"
    Inherits="Yaklasim.Admin.SendAdminMessage" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Src="UserControl/UCHeader.ascx" TagName="UCHeader" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Mesaj Gönderimi</title>
    <script type="text/javascript" src="/Scripts/Message.js"></script>
    <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
    <script type="text/javascript" src="/Scripts/Modal.js"></script>
    <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:UpdatePanel ID="up" runat="server">
            <ContentTemplate>
                <table cellpadding="0" cellspacing="0" border="0" width="100%">
                    <tr>
                        <td>
                            <uc1:UCHeader ID="UCHeader1" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
                                <tr>
                                    <td class="RCUL">
                                        &nbsp;
                                    </td>
                                    <td class="RCUM">
                                        Mesaj Gönderimi
                                    </td>
                                    <td class="RCUR">
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td class="RCML">
                                    </td>
                                    <td class="RCMM">
                                        <table class="Filter" align="center">
                                            <tr>
                                                <td class="FilterCaption">
                                                    Kullanıcı Adı
                                                </td>
                                                <td>
                                                    :
                                                </td>
                                                <td>
                                                    <asp:TextBox runat="server" ID="txtUserName" ToolTip="Birden çok kullancıya göndermek için kullanıcı isimlerini ';' ile ayırınız.(kullaniciAdi1;kullaniciAdi2;kullaniciAdi3)"
                                                        Width="300px" />
                                                </td>
                                                <td class="FilterCaption">
                                                    <asp:CheckBox runat="server" ID="chkAll" Text="Tüm Kullanıcılar" ToolTip="Tüm kullanıcılar gönder"
                                                        OnCheckedChanged="chkAll_CheckedChanged" AutoPostBack="true" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="FilterCaption">
                                                    Başlık
                                                </td>
                                                <td>
                                                    :
                                                </td>
                                                <td>
                                                    <asp:TextBox runat="server" ID="txtSubject" Width="300px" />
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="FilterCaption">
                                                    Mesaj
                                                </td>
                                                <td>
                                                    :
                                                </td>
                                                <td>
                                                      <telerik:RadEditor runat="server" ID="rdMessage" SkinID="DefaultSetOfTools"
                                DialogHandlerUrl="~/Telerik.Web.UI.DialogHandler.axd" Height="415px" BackColor="White">
                                                        <ImageManager ViewPaths="~/Images/UserImages" UploadPaths="~/Images/UserImages" DeletePaths="~/UserFiles/UserImages"
                                                            MaxUploadFileSize="2048000" />
                                                        <Content>
                                                        </Content>
                                                    </telerik:RadEditor>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="4" align="right">
                                                    <asp:PlaceHolder ID="pholder" runat="server"></asp:PlaceHolder>
                                                    <%--    <asp:Button ID="btnGonder" runat="server" CssClass="btn1" Text="Gönder"  OnClick="btnGonder_Click" />--%>
                                                </td>
                                                <td>
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    <td class="RCMR">
                                    </td>
                                </tr>
                                <tr>
                                    <td class="RCBL">
                                        &nbsp;
                                    </td>
                                    <td class="RCBM">
                                        &nbsp;
                                    </td>
                                    <td class="RCBR">
                                        &nbsp;
                                    </td>
                                </tr>
                            </table>
                        </td>
                </table>
            </ContentTemplate>
        </asp:UpdatePanel>
    </div>
    </form>
</body>
</html>
