﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="contactForms.aspx.cs" Inherits="Yaklasim.Admin.contactForms" %>

<%@ Register Src="UserControl/UCHeader.ascx" TagName="UCHeader" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head id="Head1">
    <title>Bayi Listesi</title>
    <script type="text/javascript" src="/Scripts/Message.js"></script>
    <script type="text/javascript" src="/Scripts/ddtabmenu.js"></script>
    <script type="text/javascript" src="/Scripts/Modal.js"></script>
    <link rel="stylesheet" type="text/css" href="/Styles/Admin.css" media="screen" />
    <link rel="stylesheet" type="text/css" href="/Styles/AdminMenu.css" media="screen" />
    <script type="text/javascript">
        function PopupRefresh() {
            window.document.getElementById('btnList').click();
        }
    </script>
</head>
<body>
  <form id="form1" runat="server">
  <asp:UpdatePanel ID="UpdatePanel1" runat="server">
    <ContentTemplate>
      <table cellpadding="0" cellspacing="0" border="0" width="100%">
        <tr>
          <td>
            <uc1:UCHeader ID="UCHeader2" runat="server" />
          </td>
        </tr>
        <tr>
          <td>
            <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td class="RCUL">
                  &nbsp;
                </td>
                <td class="RCUM">
                  <%=FormTitle %>
                </td>
                <td class="RCUR">
                  &nbsp;
                </td>
              </tr>
              <tr>
                <td class="RCML">
                </td>
                <td class="RCMM">
                  <table class="Filter" align="center">                   
                 
                    <tr>
                      <td class="FilterCaption">
                        Durum
                      </td>
                      <td>
                        :
                      </td>
                      <td class="FilterObject">
                        <asp:DropDownList ID="ddlStatus" runat="server">
                          <asp:ListItem Text="Seçiniz" Value="-1"></asp:ListItem>
                          <asp:ListItem Text="Cevaplanan" Value="1"></asp:ListItem>
                          <asp:ListItem Text="Bekleyen" Value="0"></asp:ListItem>
                        </asp:DropDownList>
                      </td>
                    </tr>
                    <tr>
                      <td colspan="3" align="right">
                        <asp:Button ID="btnList" runat="server" Text="Listele" CssClass="btn1"  OnClick="btnList_Click" />
                      </td>
                    </tr>
                  </table>
                </td>
                <td class="RCMR">
                </td>
              </tr>
              <tr>
                <td class="RCBL">
                  &nbsp;
                </td>
                <td class="RCBM">
                  &nbsp;
                </td>
                <td class="RCBR">
                  &nbsp;
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>
            &nbsp;
          </td>
        </tr>
        <tr>
          <td>
            <table class="Rounded" cellpadding="0" cellspacing="0" border="0">
              <tr>
                <td class="RCUL">
                  &nbsp;
                </td>
                <td class="RCUM">
                   <%=FormTitle %>
                  <asp:Label ID="lblCount" runat="server"></asp:Label>
                 
                </td>
                <td class="RCUR">
                  &nbsp;
                </td>
              </tr>
              <tr>
                <td class="RCML">
                </td>
                <td class="RCMM">
                  <table class="Grid" cellpadding="0" cellspacing="0" border="0">
                    <tr>
                      <th>
                        Firma Adı
                      </th>
                      <th>
                        Yetkili Kişi
                      </th>
                      <th>
                        Adres
                      </th>
                      <th>
                        Telefon Numarası
                      </th>
                      <th>
                        Fax
                      </th>
                      <th>
                       EMAIL
                      </th>
                      <th>
                       Müsteri İstek-Öneri
                      </th>
                      <th>Tarih</th>
                      <th>
                        Durum
                      </th>

                      <th colspan="4">
                        İşlemlerim
                      </th>
                    </tr>
                    <asp:Repeater ID="rptFormList" runat="server">
                      <ItemTemplate>
                        <tr class="GridItem">
                          <td>
                            <%#DataBinder.Eval(Container.DataItem, "FIRMNAME")%>
                          </td>
                          <td>
                            <%#DataBinder.Eval(Container.DataItem, "PERSON")%>
                          </td>
                          <td>
                            <%#DataBinder.Eval(Container.DataItem, "ADDRESS")%>
                          </td>
                            <td>
                            <%#DataBinder.Eval(Container.DataItem, "PHONE")%>
                          </td>
                            <td>
                            <%#DataBinder.Eval(Container.DataItem, "FAX")%>
                          </td>
                           <td>
                            <%#DataBinder.Eval(Container.DataItem, "EMAIL")%>
                          </td>
                          <td>
                            <%#DataBinder.Eval(Container.DataItem, "SUGGESTION")%>
                          </td>
                          <td>
                            <%#DataBinder.Eval(Container.DataItem, "CREATEDATE")!=null?(Convert.ToDateTime(DataBinder.Eval(Container.DataItem, "CREATEDATE")).ToString("dd.MM.yyyy HH:mm")):""%>
                          </td>
                          <td>
                             <%# (Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "ACTIVE"))) ? "Cevaplandı" : "Bekliyor"%>
                          </td>                         
                          <td>
                            <div id="dr" runat="server" visible=' <%# !(Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "ACTIVE")))%>'>
                             <img class="GridItemImage" src="/Images/StyleImages/Admin/ListItemDetail.png" title="Cevapla"
                              onclick="popitup_c(<%#DataBinder.Eval(Container.DataItem, "ID")%>)" /></div>
                          </td>
                         
                        </tr>
                      </ItemTemplate>
                      <AlternatingItemTemplate>
                        <tr class="GridItem">
                         
                            <td>
                            <%#DataBinder.Eval(Container.DataItem, "FIRMNAME")%>
                          </td>
                          <td>
                            <%#DataBinder.Eval(Container.DataItem, "PERSON")%>
                          </td>
                          <td>
                            <%#DataBinder.Eval(Container.DataItem, "ADDRESS")%>
                          </td>
                            <td>
                            <%#DataBinder.Eval(Container.DataItem, "PHONE")%>
                          </td>
                            <td>
                            <%#DataBinder.Eval(Container.DataItem, "FAX")%>
                          </td>
                           <td>
                            <%#DataBinder.Eval(Container.DataItem, "EMAIL")%>
                          </td>
                          <td>
                            <%#DataBinder.Eval(Container.DataItem, "SUGGESTION")%>
                          </td>
                           <td>
                            <%#DataBinder.Eval(Container.DataItem, "CREATEDATE")!=null?(Convert.ToDateTime(DataBinder.Eval(Container.DataItem, "CREATEDATE")).ToString("dd.MM.yyyy HH:mm")):""%>
                          </td>
                          <td>
                             <%# (Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "ACTIVE"))) ? "Cevaplandı" : "Bekliyor"%>
                          </td>                         
                          <td>
                            <div id="dr" runat="server" visible=' <%# (!Convert.ToBoolean(DataBinder.Eval(Container.DataItem, "ACTIVE")))%>'>
                             <img class="GridItemImage" src="/Images/StyleImages/Admin/ListItemDetail.png" title="Cevapla"
                              onclick="popitup_c(<%#DataBinder.Eval(Container.DataItem, "ID")%>)" /></div>
                          </td>
                        </tr>
                      </AlternatingItemTemplate>
                    </asp:Repeater>
                  </table>
                </td>
                <td class="RCMR">
                </td>
              </tr>
              <tr>
                <td class="RCBL">
                  &nbsp;
                </td>
                <td class="RCBM">
                  &nbsp;
                </td>
                <td class="RCBR">
                  &nbsp;
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
    </ContentTemplate>
  </asp:UpdatePanel>
  </form>
  <script language="javascript" type="text/javascript">
      function popitup_c(id) {
          ShowModal('FormReply.aspx?FormID=' + id, 600, 400, 'Form Cevaplama');
      }
    
  </script>
</body>
</html>

