﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ArticleMain.aspx.cs" Inherits="Yaklasim.ArticleMain" %>

<%@ Register Src="UserControl/UCTop.ascx" TagName="UCTop" TagPrefix="uc1" %>
<%@ Register Src="UserControl/UCFooterJs.ascx" TagName="UCFooterJs" TagPrefix="uc2" %>
<%@ Register Src="UserControl/UCFooter.ascx" TagName="UCFooter" TagPrefix="uc4" %>
<%@ Register Src="UserControl/UCProfileMenu.ascx" TagName="ProfileMenu" TagPrefix="uc3" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Yaklaşım</title>
    <link rel="stylesheet" type="text/css" href="/Styles/Style.css" />
    <script type="text/javascript" src="Scripts/jquery-1.6.4.min.js"></script>
    <script type="text/javascript" src="Scripts/beycon.js"></script>
    <script src="/Scripts/Message.js" type="text/javascript"></script>
    <script type="text/javascript" src="Scripts/Modal.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="website">
        <uc1:UCTop ID="UCTop1" runat="server" />
        <asp:ScriptManager ID="sm" runat="server">
        </asp:ScriptManager>
        <div class="profileRight" style="width: 100%; padding: 20px 0px;">
            <asp:UpdatePanel ID="up" runat="server">
                <ContentTemplate>
                    <a href="/ArticleUpdate.aspx" class="btn2 fright">Yeni Makale Ekle</a>
                    <div class="cl">
                    </div>
                    <br />
                    <div id="divDate" runat="server">
                        <table class="Grid" cellpadding="0" cellspacing="0" border="0" width="100%" style="margin-bottom: 20px">
                            <tr>
                                <th colspan="3">
                                    Makale Listesi<a href="ArticleMain.aspx?browsetype=date" class="fright mright anew">Tümünü
                                        Göster</a>
                            </tr>
                            <tr>
                                <td colspan="3" class="noBG line">
                                    &nbsp;
                                </td>
                                
                            </tr>
                            <tr>
                            <td>
                                    <i><b>Buradaki tüm makaleler kişilerin kendi görüşleridir. Yaklaşım sorumlu
                                        tutulamaz. </b></i>
                                </td>
                            </tr>
                            <tr>
                                <td class="noBG" colspan="3">
                                    <asp:Repeater ID="rptNew" runat="server">
                                        <ItemTemplate>
                                            <div class="article-item">
                                                <div class="article-writter">
                                                    <img src="/Images/MemberImages/<%#Eval("PICTUREID")%>_s.jpg" />
                                                    <a href="javascript:void(0)" onclick="ShowModal('PopProfile.aspx?LoginName=<%#Eval("LOGINNAME")%>', 600, 400, 'Üye Profili - <%#Eval("FULLNAME")%>');">
                                                        <%#Eval("FULLNAME")%>
                                                    </a><span>
                                                        <%#Eval("AGE")%>
                                                        -
                                                        <%#Eval("GERNDERNAME")%></span> <span>
                                                            <%#Eval("LOCATION")%></span>
                                                </div>
                                                <div class="article-detail">
                                                    <a href="/ArticleDetail.aspx?ID=<%#Eval("ID")%>">
                                                        <%#Eval("SUBJECT")%></a>
                                                    <p>
                                                        <%#Eval("DESCRIPTIONSHORT")%></p>
                                                </div>
                                                <div class="article-info">
                                                    <span>Puan:<%# Eval("VOTEPOINT")%></span> <span>Okunma:<%# Eval("ARTICLEREADCOUNT")%></span>
                                                    <span>Yorum:<%# Eval("ARTICLECOMMENTCOUNT")%></span>
                                                </div>
                                                <div class="cl">
                                                </div>
                                            </div>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div id="divRead" runat="server">
                        <table class="Grid" cellpadding="0" cellspacing="0" border="0" width="100%" style="margin-bottom: 20px">
                            <tr>
                                <th colspan="3">
                                    En Çok Okunanlar<a href="ArticleMain.aspx?browsetype=read" class="fright mright anew">Tümünü
                                        Göster</a>
                            </tr>
                            <tr>
                                <td class="noBG" colspan="3">
                                    <asp:Repeater ID="rptRead" runat="server">
                                        <ItemTemplate>
                                            <div class="article-item">
                                                <div class="article-writter">
                                                    <img src="/Images/MemberImages/<%#Eval("PICTUREID")%>_s.jpg" />
                                                    <a href="javascript:void(0)" onclick="ShowModal('PopProfile.aspx?LoginName=<%#Eval("LOGINNAME")%>', 600, 400, 'Üye Profili - <%#Eval("LOGINNAME")%>');">
                                                        <%#Eval("LOGINNAME")%></a> <span>
                                                            <%#Eval("AGE")%>
                                                            -
                                                            <%#Eval("GERNDERNAME")%></span> <span>
                                                                <%#Eval("LOCATION")%></span>
                                                </div>
                                                <div class="article-detail">
                                                    <a href="/ArticleDetail.aspx?ID=<%#Eval("ID")%>">
                                                        <%#Eval("SUBJECT")%></a>
                                                    <p>
                                                        <%#Eval("DESCRIPTIONSHORT")%></p>
                                                </div>
                                                <div class="article-info">
                                                    <span>Puan:<%# Eval("VOTEPOINT")%></span> <span>Okunma:<%# Eval("ARTICLEREADCOUNT")%></span>
                                                    <span>Yorum:<%# Eval("ARTICLECOMMENTCOUNT")%></span>
                                                </div>
                                                <div class="cl">
                                                </div>
                                            </div>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div id="divVote" runat="server">
                        <table class="Grid" cellpadding="0" cellspacing="0" border="0" width="100%" style="margin-bottom: 20px">
                            <tr>
                                <th colspan="3">
                                    En Çok Oy Alanlar<a href="ArticleMain.aspx?browsetype=vote" class="fright mright anew">Tümünü
                                        Göster</a>
                            </tr>
                            <tr>
                                <td class="noBG" colspan="3">
                                    <asp:Repeater ID="rptVote" runat="server">
                                        <ItemTemplate>
                                            <div class="article-item">
                                                <div class="article-writter">
                                                    <img src="/Images/MemberImages/<%#Eval("PICTUREID")%>_s.jpg" />
                                                    <a href="javascript:void(0)" onclick="ShowModal('PopProfile.aspx?LoginName=<%#Eval("LOGINNAME")%>', 600, 400, 'Üye Profili - <%#Eval("LOGINNAME")%>');">
                                                        <%#Eval("LOGINNAME")%></a> <span>
                                                            <%#Eval("AGE")%>
                                                            -
                                                            <%#Eval("GERNDERNAME")%></span> <span>
                                                                <%#Eval("LOCATION")%></span>
                                                </div>
                                                <div class="article-detail">
                                                    <a href="/ArticleDetail.aspx?ID=<%#Eval("ID")%>">
                                                        <%#Eval("SUBJECT")%></a>
                                                    <p>
                                                        <%#Eval("DESCRIPTIONSHORT")%></p>
                                                </div>
                                                <div class="article-info">
                                                    <span>Puan:<%# Eval("VOTEPOINT")%></span> <span>Okunma:<%# Eval("ARTICLEREADCOUNT")%></span>
                                                    <span>Yorum:<%# Eval("ARTICLECOMMENTCOUNT")%></span>
                                                </div>
                                                <div class="cl">
                                                </div>
                                            </div>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div id="divComment" runat="server">
                        <table class="Grid" cellpadding="0" cellspacing="0" border="0" width="100%" style="margin-bottom: 20px">
                            <tr>
                                <th colspan="3">
                                    En Çok Yorumlananlar<a href="ArticleMain.aspx?browsetype=comment" class="fright mright anew">Tümünü
                                        Göster</a>
                            </tr>
                            <tr>
                                <td class="noBG" colspan="3">
                                    <asp:Repeater ID="rptComment" runat="server">
                                        <ItemTemplate>
                                            <div class="article-item">
                                                <div class="article-writter">
                                                    <img src="/Images/MemberImages/<%#Eval("PICTUREID")%>_s.jpg" />
                                                    <a href="javascript:void(0)" onclick="ShowModal('PopProfile.aspx?LoginName=<%#Eval("LOGINNAME")%>', 600, 400, 'Üye Profili - <%#Eval("LOGINNAME")%>');">
                                                        <%#Eval("LOGINNAME")%></a> <span>
                                                            <%#Eval("AGE")%>
                                                            -
                                                            <%#Eval("GERNDERNAME")%></span> <span>
                                                                <%#Eval("LOCATION")%></span>
                                                </div>
                                                <div class="article-detail">
                                                    <a href="/ArticleDetail.aspx?ID=<%#Eval("ID")%>">
                                                        <%#Eval("SUBJECT")%></a>
                                                    <p>
                                                        <%#Eval("DESCRIPTIONSHORT")%></p>
                                                </div>
                                                <div class="article-info">
                                                    <span>Puan:<%# Eval("VOTEPOINT")%></span> <span>Okunma:<%# Eval("ARTICLEREADCOUNT")%></span>
                                                    <span>Yorum:<%# Eval("ARTICLECOMMENTCOUNT")%></span>
                                                </div>
                                                <div class="cl">
                                                </div>
                                            </div>
                                        </ItemTemplate>
                                    </asp:Repeater>
                                </td>
                            </tr>
                        </table>
                    </div>
                </ContentTemplate>
            </asp:UpdatePanel>
        </div>
        <div class="cl">
        </div>
    </div>
    <uc4:UCFooter ID="UCFooter1" runat="server" />
    <uc2:UCFooterJs ID="UCFooterJs1" runat="server" />
    </form>
</body>
</html>
