﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ArticleUpdate.aspx.cs" Inherits="Yaklasim.ArticleUpdate" %>
<%@ Register src="UserControl/UCTop.ascx" tagname="UCTop" tagprefix="uc1" %>
<%@ Register src="UserControl/UCFooterJs.ascx" tagname="UCFooterJs" tagprefix="uc2" %>
<%@ Register src="UserControl/UCFooter.ascx" tagname="UCFooter" tagprefix="uc3" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Yaklaşım</title>
    <link rel="stylesheet" type="text/css" href="/Styles/Style.css" />
    <script type="text/javascript" src="Scripts/jquery-1.6.4.min.js"></script>
    <script type="text/javascript" src="Scripts/beycon.js"></script>
    <script src="/Scripts/Message.js" type="text/javascript"></script>
    <script type="text/javascript" src="Scripts/Modal.js"></script>
</head>
<body>
    <form id="form1" runat="server">
    <div class="website">
    <uc1:UCTop ID="UCTop1" runat="server" />
    <asp:ScriptManager ID="sm" runat="server"></asp:ScriptManager>    
    <asp:UpdatePanel ID="up" runat="server">
        <ContentTemplate>
            <div class="profileLeft" style="width:100%">
                <table class="Grid" cellpadding="0" cellspacing="0" border="0">        
                    <tr>
                        <td class="thnew">Başlık</td>
                        <td><asp:TextBox ID="txtSubject" runat="server" MaxLength="500"></asp:TextBox></td>
                    </tr>        
                    <tr>
                        <td valign="top" class="thnew">Makaleniz</td>
                        <td><asp:TextBox ID="txtDescription" runat="server" TextMode="MultiLine" Rows="15" Columns="70"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td class="Caption">İlgili Maddeler</td>
                        <td>
                            <table>
                                <asp:Repeater ID="rptContent" runat="server"  OnItemCommand="rptContent_ItemCommand" >
                                    <ItemTemplate>
                                        <tr>
                                            <td><a href="javascript:void(0)" onclick="ShowModal('/PopUpRelatedContent.aspx?ContentID=<%#Eval("CONTENTID")%>',700,500,'İlgili Mevzuat');"><span><%#Eval("ROOT")%></span></a></td>
                                            <td><asp:ImageButton ID="btnDelete" runat="server" ImageUrl="/Images/StyleImages/sil.png" AlternateText="Çıkar" ToolTip="Çıkar" CommandArgument='<%#Eval("CONTENTID")%>' CommandName="Delete" /> </td>
                                        </tr>
                                    </ItemTemplate>
                                </asp:Repeater>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td class="Caption" valign="top">İlgili Madde Ekleme</td>
                        <td>
                            <table>
                                <tr id="trSub0" runat="server">
                                    <td><asp:DropDownList ID="drpCategorySub0" runat="server" CssClass="drp" Level="0" AutoPostBack="true" Width="200px" onselectedindexchanged="drpCategory_SelectedIndexChanged"></asp:DropDownList></td>
                                </tr>
                                <tr id="trSub1" runat="server" visible="false">
                                    <td><asp:DropDownList ID="drpCategorySub1" runat="server" CssClass="drp" Level="1" AutoPostBack="true" Width="200px" onselectedindexchanged="drpCategory_SelectedIndexChanged"></asp:DropDownList></td>
                                </tr>
                                <tr id="trSub2" runat="server" visible="false">
                                    <td><asp:DropDownList ID="drpCategorySub2" runat="server" CssClass="drp" Level="2" AutoPostBack="true" Width="200px" onselectedindexchanged="drpCategory_SelectedIndexChanged"></asp:DropDownList></td>
                                </tr>
                                <tr id="trSub3" runat="server" visible="false">
                                    <td><asp:DropDownList ID="drpCategorySub3" runat="server" CssClass="drp" Level="3" AutoPostBack="true" Width="200px" onselectedindexchanged="drpCategory_SelectedIndexChanged"></asp:DropDownList></td>
                                </tr>
                                <tr id="trSub4" runat="server" visible="false">
                                    <td><asp:DropDownList ID="drpCategorySub4" runat="server" CssClass="drp" Level="4" AutoPostBack="true" Width="200px" onselectedindexchanged="drpCategory_SelectedIndexChanged"></asp:DropDownList></td>
                                </tr>
                                <tr id="trSub5" runat="server" visible="false">
                                    <td><asp:DropDownList ID="drpCategorySub5" runat="server" CssClass="drp" Level="5" AutoPostBack="true" Width="200px" onselectedindexchanged="drpCategory_SelectedIndexChanged"></asp:DropDownList></td>
                                </tr>
                                <tr id="trSub6" runat="server" visible="false">
                                    <td><asp:DropDownList ID="drpCategorySub6" runat="server" CssClass="drp" Level="5" AutoPostBack="true" Width="200px" onselectedindexchanged="drpCategory_SelectedIndexChanged"></asp:DropDownList></td>
                                </tr>
                                <tr id="trSub7" runat="server" visible="false">
                                    <td><asp:DropDownList ID="drpCategorySub7" runat="server" CssClass="drp" Level="5" AutoPostBack="true" Width="200px" onselectedindexchanged="drpCategory_SelectedIndexChanged"></asp:DropDownList></td>
                                </tr>
                                <tr id="trSub8" runat="server" visible="false">
                                    <td><asp:DropDownList ID="drpCategorySub8" runat="server" CssClass="drp" Level="5" AutoPostBack="true" Width="200px" onselectedindexchanged="drpCategory_SelectedIndexChanged"></asp:DropDownList></td>
                                </tr>
                                <tr id="trSub9" runat="server" visible="false">
                                    <td><asp:DropDownList ID="drpCategorySub9" runat="server" CssClass="drp" Level="5" AutoPostBack="true" Width="200px" onselectedindexchanged="drpCategory_SelectedIndexChanged"></asp:DropDownList></td>
                                </tr>
                                <tr id="trSub10" runat="server" visible="false">
                                    <td><asp:DropDownList ID="drpCategorySub10" runat="server" CssClass="drp" Level="5" AutoPostBack="true" Width="200px" onselectedindexchanged="drpCategory_SelectedIndexChanged"></asp:DropDownList></td>
                                </tr>
                                <tr>
                                    <td><asp:Button ID="btnAddContent" runat="server" onclick="btnAddContent_Click" Text="Ekle" /></td>
                                </tr>
                            </table>
                        </td>                        
                    </tr>
                    <tr>
                        <td colspan="2" align="right" class="noBG"><asp:Button ID="btnSave" runat="server" Text="Kaydet" onclick="btnSave_Click" CssClass="btn" /> </td>
                    </tr>
                </table>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel> 
    <div class="cl"></div>
    </div>   
    <uc3:UCFooter ID="UCFooter1" runat="server" />
    <uc2:UCFooterJs ID="UCFooterJs1" runat="server" />
    </form>
</body>
</html>
