﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MyInfo.aspx.cs" Inherits="Yaklasim.MyInfo" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register src="UserControl/UCTop.ascx" tagname="UCTop" tagprefix="uc1" %>
<%@ Register src="UserControl/UCFooterJs.ascx" tagname="UCFooterJs" tagprefix="uc2" %>
<%@ Register src="UserControl/UCProfileMenu.ascx" tagname="ProfileMenu" tagprefix="uc3" %>
<%@ Register Src="UserControl/UCFooter.ascx" TagName="UCFooter" TagPrefix="uc4" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Yaklaşım</title>
    <link rel="stylesheet" type="text/css" href="/Styles/Style.css" />
    <script type="text/javascript" src="Scripts/jquery-1.6.4.min.js"></script>
    <script type="text/javascript" src="Scripts/beycon.js"></script>
    <script src="/Scripts/Message.js" type="text/javascript"></script>
    <script type="text/javascript" src="Scripts/Modal.js"></script>
</head>
<body style="background:none">
    <form id="form1" runat="server">
    <div class="website">
   <uc1:UCTop ID="UCTop1" runat="server" />
   <div class="profileLeft" runat="server" id="divLeftMenu">
	    <uc3:ProfileMenu ID="ProfileMenu1" runat="server" Visible="false"/>
    </div>
   
    <div class="profileRight">
    <asp:ScriptManager ID="sc" runat="server"></asp:ScriptManager>
    <asp:UpdatePanel ID="up" runat="server">
    <ContentTemplate>
    <table>
    <tr>
    <td>
    <table class="Grid" border="0" cellpadding="0" runat="server" id="tblInfo" cellspacing="0" width="480">
            <tr>
                <th colspan="3">Ayarlarım</th>
            </tr>
            <tr>
                <td class="tdLeft">
                    Ad</td>
                <td class="tdMiddle">
                    :</td>
               <td class="tdRight">
                    <asp:TextBox ID="txtName" runat="server"></asp:TextBox></td>
            </tr>
            <tr>
                <td class="tdLeft">
                    Soyad</td>
                <td class="tdMiddle">
                    :</td>
               <td class="tdRight">
                    <asp:TextBox ID="txtSurname" runat="server"></asp:TextBox></td>
            </tr>
             <tr>
                <td class="tdLeft">
                    Firma Adı</td>
                <td class="tdMiddle">
                    :</td>
               <td class="tdRight">
                    <asp:TextBox ID="txtCompanyname" runat="server"></asp:TextBox></td>
            </tr>
            <tr>
                <td class="tdLeft">
                    Kullanıcı Adı</td>
                <td class="tdMiddle">
                    :</td>
                <td class="tdRight">
                    <asp:TextBox ID="txtLoginName" runat="server"></asp:TextBox></td>
            </tr>
            <tr>
                <td class="tdLeft">
                    E-Mail</td>
              <td class="tdMiddle">
                    :</td>
                <td class="tdRight">
                    <asp:TextBox ID="txtMail" runat="server"></asp:TextBox></td>
            </tr>
            <tr>
                <td class="tdLeft">
                    Telefon</td>
                <td class="tdMiddle">
                    :</td>
                <td class="tdRight">
                    <telerik:RadNumericTextBox ID="radTelephonePre" runat="server" MaxLength="3" Width="30">
                                <NumberFormat GroupSeparator="" DecimalDigits="0" />
                                <NumberFormat GroupSeparator="" DecimalDigits="0" />
                            </telerik:RadNumericTextBox>
                            -
                            <telerik:RadNumericTextBox ID="radTelephone" runat="server" MaxLength="7" Width="80">
                                <NumberFormat GroupSeparator="" DecimalDigits="0" />
                                <NumberFormat GroupSeparator="" DecimalDigits="0" />
                            </telerik:RadNumericTextBox> </td>
            </tr>
            <tr>
                <td class="tdLeft">
                    Cep Telefonu</td>
                <td class="tdMiddle">
                    :</td>
                <td class="tdRight">
                   <telerik:RadNumericTextBox ID="radMobilePre" runat="server" MaxLength="3" Width="30">
                                <NumberFormat GroupSeparator="" DecimalDigits="0" />
                                <NumberFormat GroupSeparator="" DecimalDigits="0" />
                            </telerik:RadNumericTextBox>-
                            <telerik:RadNumericTextBox ID="radMobilefirst" runat="server" MaxLength="7" Width="80">
                                <NumberFormat GroupSeparator="" DecimalDigits="0" />
                                <NumberFormat GroupSeparator="" DecimalDigits="0" />
                            </telerik:RadNumericTextBox></td>
            </tr>
            <tr>
                <td class="tdLeft">
                    Doğum Tarihi</td>
                <td class="tdMiddle">
                    :</td>
                <td class="tdRight">
                    <asp:DropDownList ID="ddlDay" runat="server">
                            </asp:DropDownList>
                            /
                            <asp:DropDownList ID="ddlMonth" runat="server">
                            </asp:DropDownList>
                            /
                            <asp:DropDownList ID="ddlYear" runat="server">
                            </asp:DropDownList></td>
            </tr>
            <tr>
                <td class="tdLeft">
                    Cinsiyet</td>
                <td class="tdMiddle">
                    :</td>
                <td class="tdRight">
                    <asp:RadioButtonList ID="rblGender" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow">
                                <asp:ListItem Value="0">Kadın</asp:ListItem>
                                <asp:ListItem Value="1">Erkek</asp:ListItem>
                            </asp:RadioButtonList></td>
            </tr>
            <tr>
                <td class="tdLeft">
                    İl</td>
                <td class="tdMiddle">
                    :</td>
                <td class="tdRight">
                     <asp:DropDownList ID="ddlCity" runat="server" AutoPostBack="True" OnSelectedIndexChanged="ddlCity_SelectedIndexChanged">
                            </asp:DropDownList></td>
            </tr>
            <tr>
                <td class="tdLeft">
                    İlçe</td>
                <td class="tdMiddle">
                    :</td>
                <td class="tdRight">
                     <asp:DropDownList ID="ddlCityDistrict" runat="server">
                            </asp:DropDownList></td>
            </tr>
            <tr>
                <td class="tdLeft">
                    Arkadaşlarım görüntülensin mi?</td>
                <td class="tdMiddle">
                    :</td>
                <td class="tdRight">
                     <asp:CheckBox ID="chcShowFriend" runat="server" /> </td>
            </tr>
           <tr>
           <td colspan="3">
         <a href="/sifredegistir">  Şifrenizi değiştirmek için tıklayınız...</a>
           </td>
           </tr>
            <tr>
                 <td class="noBG" colspan="3" align="right">
                <asp:Button ID="btnUpdate" runat="server" Text="Kaydet" onclick="btnUpdate_Click" CssClass="btn" />
                   </td>
            </tr>
        </table>
    </td><td width="10">&nbsp;</td>
    <td valign="top">
    <table class="Grid" border="0" cellpadding="0" runat="server" id="Table1" cellspacing="0" width="240">
        <tr>
            <th colspan="3">Üye Resmi</th>
        </tr>
        <tr>
        <td>
            <asp:FileUpload ID="imgMember" runat="server" />
        </td>
        </tr>
        <tr>
            <td class="noBG" colspan="3" align="right">
                <asp:Button ID="SaveImage" runat="server" CssClass="btn" onclick="SaveImage_Click" Text="Resmi Kaydet"/><br />
                <asp:Image ID="memberImage" runat="server" Visible="false"/>
            </td>
        </tr>
        </table></td>
    </tr>
    </table>
    
        
    </ContentTemplate>
    <Triggers>
    <asp:PostBackTrigger ControlID="SaveImage" />
    </Triggers>
    </asp:UpdatePanel>
    </div>
    <div class="cl"></div>
    </div>
    <uc4:UCFooter ID="Footer1" runat="server" />
    <uc2:UCFooterJs ID="UCFooterJS1" runat="server" />
    </form>
</body>
</html>
