﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MyMessages.aspx.cs" Inherits="Yaklasim.MyMessages" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register Src="UserControl/UCProfileMenu.ascx" TagName="ProfileMenu" TagPrefix="uc3" %>
<%@ Register Src="UserControl/UCTop.ascx" TagName="UCTop" TagPrefix="uc1" %>
<%@ Register Src="UserControl/UCFooterJs.ascx" TagName="UCFooterJs" TagPrefix="uc2" %>
<%@ Register Src="UserControl/UCFooter.ascx" TagName="UCFooter" TagPrefix="uc4" %>
<%@ Register Src="UserControl/UCMessage.ascx" TagName="UCMessage" TagPrefix="uc5" %>
<%@ Register Src="UserControl/UCSentMessage.ascx" TagName="UCSentMessage" TagPrefix="uc6" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Yaklaşım</title>
    <link rel="stylesheet" type="text/css" href="/Styles/Style.css" />
    <script type="text/javascript" src="Scripts/jquery-1.6.4.min.js"></script>
    <script type="text/javascript" src="Scripts/beycon.js"></script>
    <script src="/Scripts/Message.js" type="text/javascript"></script>
    <script type="text/javascript" src="Scripts/Modal.js"></script>
</head>
<body style="background:none">
    <form id="form1" runat="server">
    <div class="website">
        <uc1:UCTop ID="ucTop" runat="server" />
        <div class="profileLeft" runat="server" id="divLeftMenu">
            <uc3:ProfileMenu ID="ProfileMenu1" runat="server" />
        </div>
        <div class="profileRight">
            <div class="tabnav2">
                <ul>
                    <li><span>Gelen Kutusu</span></li>
                    <li><span>Giden Kutusu</span></li>
                </ul>
      </div>
            <div class="tabdiv2">
                <div class="tumunusec">
                    <input type="checkbox" /><span>Tümünü Seç</span><div class="cl">
                    </div>
                </div>
                <div id="inbox">
                    <asp:Repeater ID="rptInboxMessages" runat="server" OnItemCommand="rptMessageList_ItemCommand">
                        <HeaderTemplate>
                            <table class="Grid" border="0" cellpadding="0" cellspacing="0" width="350">
                        </HeaderTemplate>
                        <ItemTemplate>
                            <uc5:UCMessage ID="UCMessage1" runat="server" />
                        </ItemTemplate>
                        <FooterTemplate>
                            </table></FooterTemplate>
                    </asp:Repeater>
                </div>
            </div>
            <div class="tabdiv2">
                <div class="tumunusec">
                    <input type="checkbox" /><span>Tümünü Seç</span><div class="cl">
                    </div>
                </div>
                <div id="sentItems">
                    <asp:Repeater ID="rptSentMessages" runat="server" OnItemCommand="rptMessageList_ItemCommand">
                        <HeaderTemplate>
                            <table class="Grid" border="0" cellpadding="0" cellspacing="0" width="350">
                        </HeaderTemplate>
                        <ItemTemplate>
                        <!-- ONUR -->
                            <uc6:UCSentMessage ID="UCSentMessage1" runat="server" />
                        </ItemTemplate>
                        <FooterTemplate>
                            </table></FooterTemplate>
                    </asp:Repeater>
                </div>
            </div>
            <%--                        <asp:CheckBox ID="chbSelect" runat="server" Text="Tümünü Seç" onclick="checkAll('form1');" />


                       <a href="javascript:void(0)" onclick="ShowModal('SendNewMessage.aspx', 600, 400, 'Mesaj Gönder');"
                                class="btn2 fright mleft">Yeni Mesaj Gönder</a>--%>
        </div>
        <div class="cl">
        </div>
        <uc4:UCFooter ID="Footer1" runat="server" />
        <uc2:UCFooterJs ID="UCFooterJS1" runat="server" />
    </div>
    <script language="javascript" type="text/javascript">
        function OpenPopUp(val) {
            ShowModal('MessageDetail.aspx?MessageId=' + val, 600, 300, "Mesaj Detay");
        }

        function checkAll(field) {
            for (i = 0; i < field.length; i++)
                field[i].checked = true;
        }

        function uncheckAll(field) {
            for (i = 0; i < field.length; i++)
                field[i].checked = false;
        }

    </script>
    </form>
</body>
</html>
