﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="PopChat.aspx.cs" Inherits="Yaklasim.PopChat" %>

<%@ Register Src="UserControl/UCFooterJs.ascx" TagName="UCFooterJs" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Yaklaşım | Sohbet</title>
    
    <script src="Scripts/Message.js" type="text/javascript"></script>
    <link href="Styles/Style.css" rel="stylesheet" type="text/css" />
    
</head>
<body onload="WindowLoad();" onunload="WindowClosed();" style="background: none;
    padding: 15px">
    <form id="form1" runat="server">
    <div id="trWaiting" style="display: block">
        <div id="dvStatus" class="sohbetdvStatus">
        </div>
        <asp:Label ID="lblError" runat="server" CssClass="sohbetdvStatus"></asp:Label>
    </div>
    <div id="trChat" style="display: none">
        <table class="Grid" width="100%" style="margin-bottom: 15px">
            <tr>
                <td valign="top" rowspan="5" width="110">
                    <asp:Image ID="imgUser" runat="server" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Literal ID="lblLoginName" runat="server" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Literal ID="lblLocation" runat="server" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Literal ID="lblAge" runat="server" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Literal ID="lblGenderName" runat="server" />
                </td>
            </tr>
            <tr>
                <td colspan="2" class="noBG line">
                    &nbsp;
                </td>
            </tr>
        </table>
        <table class="Grid" width="100%">
            <tr>
                <td class="noBG" colspan="2">
                    <div id="dvConversation" class="dvConversation">
                    </div>
                </td>
            </tr>
            <tr>
                <th class="noBG">
                    <input type="text" id="txtMessage" onkeypress="return KeyPress(event);" class="conversationinput" />
                </th>
                <th align="right" class="noBG">
                    <input type="button" id="btnSendMessage" class="mesajGonderBtn btn" onclick="Send();"
                        value="Gönder" />
                </th>
            </tr>
        </table>
    </div>
    <asp:HiddenField ID="hdnConversationID" runat="server" />
    <uc1:UCFooterJs ID="UCFooterJs1" runat="server" />
    </form>
    <script type="text/javascript" language="javascript">
        function WindowClosed() {

            var id = f('hdnConversationID').value;
            if (id != '') {
                UserLeave(id);
            }
        }
        function WindowLoad() {
            var id = f('hdnConversationID').value;
            if (id != '') {
                GetInvationStatus(id);
            }
            

        }
        function Send() {
            var id = f('hdnConversationID').value;
            var msg = f('txtMessage');
            if (msg.value != '') {
                if (id != '') {
                    SendMessage(id, msg.value);
                    msg.value = '';
                    msg.focus();
                }
            }
            else {
                alert('Bir mesaj yazınız');
            }
        }
        function KeyPress(event) {
            if (event.keyCode == 13) {
                f('btnSendMessage').click();
                return false;
            }
        }
    </script>
</body>
</html>
