﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SearchResults.aspx.cs"
    Inherits="Yaklasim.SearchResults" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register Src="UserControl/UCTop.ascx" TagName="UCTop" TagPrefix="uc1" %>
<%@ Register Src="UserControl/UCFooterJs.ascx" TagName="UCFooterJs" TagPrefix="uc2" %>
<%@ Register Src="UserControl/UCProfileMenu.ascx" TagName="ProfileMenu" TagPrefix="uc3" %>
<%@ Register Src="UserControl/UCArticles.ascx" TagName="UCArticles" TagPrefix="uc4" %>
<%@ Register Src="UserControl/UCFooter.ascx" TagName="UCFooter" TagPrefix="uc5" %>
<%@ Register Src="UserControl/UCResult.ascx" TagName="UCResult" TagPrefix="uc6" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <script src="/Scripts/Message.js" type="text/javascript"></script>
    <link href="/Styles/Style.css" rel="stylesheet" type="text/css" />
</head>
<body style="background:none">
    <form id="form1" runat="server">
    <div class="website">
        <uc1:UCTop ID="ucTop" runat="server" />
        <%--<div class="profileLeft" runat="server" id="divLeftMenu">
	    <uc3:ProfileMenu ID="ProfileMenu1" runat="server" Visible="false"/>
    </div>--%>
        <div class="map">
            <tr>
                <ul>
                    <li><a href="CategoryDetail.aspx">Mevzuatlar</a> </li>
                </ul>
            </tr>
        </div>
        <div class="profileRight" runat="server" id="divRightContent" style="width: 100%;
            padding: 20px 0px">
            <table class="Grid" cellpadding="0" cellspacing="0" border="0" width="100%" style="margin-bottom: 20px">
                <tr>
                    <th colspan="3">
                        Arama Sonuçları
                    </th>
                </tr>
                <tr>
                    <td colspan="3" class="noBG line">
                        &nbsp;
                    </td>
                </tr>
                <tr>
                    <td class="noBG" colspan="3">
                        <div class="aranandiv">
                            <b>Aranan : </b>
                            <asp:Label ID="lblAranan" runat="server" Text=""></asp:Label></div>
                        <asp:Repeater ID="rptResults" runat="server">
                            <ItemTemplate>
                                <uc6:UCResult ID="UCResult1" runat="server" />
                            </ItemTemplate>
                        </asp:Repeater>
                        <div class="paging">
                            <asp:Repeater ID="rptPages" runat="server" OnItemCommand="rptPages_ItemCommand" OnItemDataBound="rptPages_OnItemDataBound">
                                <HeaderTemplate>
                                    <table cellpadding="0" cellspacing="0" border="0" align="center">
                                        <tr class="text">
                                            <td class="noBG4 noBORDER">
                                                <b>Sayfa:</b>&nbsp;
                                                <%--<asp:Button ID="btnBack" runat="server" Text="<" OnClick="btnBack_Click" />--%>
                                            </td>
                                            <%# PagingPadding()%>
                                            <td class="noBG4 noBORDER">
                                                <asp:LinkButton ID="lnkBack" runat="server" CssClass="lnkButtonBack" CommandName="Back">Geri</asp:LinkButton>
                                            </td>
                                </HeaderTemplate>
                                <ItemTemplate>
                                    <td class="noBG4 noBORDER">
                                        <asp:LinkButton ID="btnPage" CommandName="Page" CommandArgument="<%# Container.DataItem %>"
                                            CssClass="lnkPagetext" runat="server"><%# Container.DataItem %></asp:LinkButton>
                                    </td>
                                </ItemTemplate>
                                <FooterTemplate>
                                    <td class="noBG4 noBORDER">
                                        <asp:LinkButton ID="lnkNext" runat="server" CssClass="lnkButtonNext" CommandName="Next">İleri</asp:LinkButton>
                                    </td>
                                    </tr> </table>
                                </FooterTemplate>
                            </asp:Repeater>
                        </div>
                    </td>
                </tr>
            </table>
            <div class="cl">
            </div>
        </div>
        <div class="cl">
        </div>
    </div>
    <uc5:UCFooter ID="Footer1" runat="server" />
    <uc2:UCFooterJs ID="UCFooterJS1" runat="server" />
    </form>
</body>
</html>
