﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="magazinList.aspx.cs" Inherits="Yaklasim.magazinList" %>

<%@ Register Src="UserControl/UCTop.ascx" TagName="UCTop" TagPrefix="uc1" %>
<%@ Register Src="UserControl/UCFooterJs.ascx" TagName="UCFooterJs" TagPrefix="uc2" %>
<%@ Register Src="UserControl/UCFooter.ascx" TagName="UCFooter" TagPrefix="uc4" %>
<%@ Register Src="UserControl/UCArticles.ascx" TagName="UCArticles" TagPrefix="uc3" %>
<%@ Register Src="~/UserControl/UCRelatedContent.ascx" TagName="UCRelatedContent"
    TagPrefix="uc6" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>
<%@ Register Src="UserControl/UCComments.ascx" TagName="UCComments" TagPrefix="uc5" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Yaklaşım Dergi</title>
    <link rel="stylesheet" type="text/css" href="Styles/Style.css" />
    <%--<link href="Styles/dcaccordion.css" rel="stylesheet" type="text/css" />--%>
    <script type="text/javascript" src="Scripts/Modal.js"></script>
    <script type="text/javascript" src="/Scripts/jquery-1.6.4.min.js"></script>
    <script type='text/javascript' src='Scripts/jquery.cookie.js'></script>
    <script type='text/javascript' src='Scripts/jquery.hoverIntent.minified.js'></script>
    <script type='text/javascript' src='Scripts/jquery.dcjqaccordion.2.7.min.js'></script>
    <script type="text/javascript" src="Scripts/beycon.js"></script>
    <%-- <link rel="stylesheet" type="text/css" href="/Uye/Styles/Style.css" />
    <script type="text/javascript" src="/Uye/Scripts/Modal.js"></script>
    <script type="text/javascript" src="/Uye/Scripts/jquery-1.6.4.min.js"></script>
    <script type="text/javascript" src="/Uye/Scripts/beycon.js"></script>--%>
    <script type="text/javascript">
        function popitup_cAdd(url, widht, height, title) {
            ShowModal(url, widht, height, title);
        }
        function GetParentCategory(parentId) {
            debugger;
            var itemsBtnList = window.document.getElementById('btnList');
            var itemshdnParent = window.document.getElementById('hdnParent');
            itemshdnParent.value = parentId;
            PageMethods.FillList(); PageMethods.btnList_Click();


        }
        $(document).ready(function () {
            $('#accordion-3').dcAccordion({
                eventType: 'click',
                autoClose: true,
                saveState: false,
                disableLink: false,
                showCount: false,
                speed: 'slow'
            });
        });
    </script>
    <style type="text/css">
        .style1
        {
            width: 100%;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <%--  <asp:ScriptManager ID="ScriptManager1" runat="server" EnablePageMethods="true" EnablePartialRendering="true">
    </asp:ScriptManager>--%>
    <asp:ScriptManager ID="sm" runat="server">
    </asp:ScriptManager>
    <div class="website">
        <uc1:UCTop ID="ucTop" runat="server" />
        <div class="map">
            <ul>
                <asp:Literal ID="ltrMenu" runat="server"></asp:Literal>
            </ul>
            <div class="cl">
            </div>
        </div>
        <div class="profileLeft" style="width: 255px; padding: 20px 10px 20px 0px;">
            <asp:HiddenField ID="hdnParent" runat="server" />
            <table class="Grid" cellspacing="0" cellpadding="0" border="0" width="255">
                <tr>
                    <th>
                        Yaklaşım Dergiler
                    </th>
                </tr>
                <tr>
                    <td class="noBG">
                        <asp:Literal ID="LeftMenu" runat="server"></asp:Literal>
                    </td>
                </tr>
            </table>
        </div>
        <div style="float:left; width:735px; padding:20px 0px 20px 0px;">
            <table class="Grid GridNew" width="100%" style="margin-bottom:15px">
                <tr>
                    <th colspan="4" style="border-right:1px solid #005CA3; border-bottom:1px solid #005CA3; font-size:20px; text-align:center">ARAMA KATEGORİLERİ</th>
                </tr>
                <tr>
                    <td class="thnew" width="90">
                        Sadece Makale Başlıklarında Ara
                    </td>
                    <td colspan="2">
                        <asp:TextBox ID="txtSubjectSearch" runat="server" Width="556px"></asp:TextBox>
                    </td>
                     <td>
                       <asp:Button ID="btnMagazineSubjectSearch" runat="server" Text="Ara" CssClass="btn" style="width:50px" 
                            onclick="btnMagazineSubjectSearch_Click" />
                    </td>
                </tr>
                <tr>
                    <td class="thnew" rowspan="2">
                        Tüm İçerikte Ara
                    </td>
                    <td colspan="2">
                        <asp:TextBox ID="txtContentSearch" runat="server" Width="556px"></asp:TextBox>
                    </td>
                    <td rowspan="2">
                        <asp:Button ID="btnMagazineContentSearch" runat="server" Text="Ara" CssClass="btn" style="width:50px" onclick="btnMagazineContentSearch_Click" />
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <asp:RadioButtonList ID="rdBtn" runat="server" RepeatDirection="Horizontal" CssClass="searchRadio">
                        <asp:ListItem Text="Yazıldığı Gibi Ara (Yan yana)" Value="1" Selected="True"></asp:ListItem>
                        <asp:ListItem Text="Metnin içinde, farklı Yerlerde geçebilir" Value="2"></asp:ListItem>
                        <asp:ListItem Text="Kelimelerin herhangi biri varsa" Value="3"></asp:ListItem>
                        </asp:RadioButtonList>
                    </td>
                </tr>
                <tr>
                    <td class="thnew">
                        Yazara Göre Ara
                    </td>
                    <td colspan="2">
                        <asp:DropDownList ID="drpWriters" runat="server" Width="556px">
                        </asp:DropDownList>
                    </td> 
                    <td>
                        <asp:Button ID="btnMagazineSearch" runat="server" Text="Ara" CssClass="btn" style="width:50px" 
                            onclick="btnMagazineSearch_Click" />
                    </td>
                </tr>
            </table>
            <table class="Grid GridNew" width="100%" style="border:1px solid #005CA3">
                <tr>
                <th style="text-align:center">
                     <a href="ucretsizEk.html" target="_blank" style="font-size:14px; font-weight:bold;color:#fff">Ücretsiz Ekler</a>
                </th>
                </tr>
            </table>
        </div>
        <%--<div style="float:left; width:690px; padding:20px 0px 20px 0px;">
    <table class="Grid" cellspacing="0" cellpadding="0" border="0" width="690">
        <tr><th>Detay</th></tr>
        <tr><td class="noBG">
            
            


            <ul class="tabnav">
                <li class="active">İçerik</li>
                <li>İlgili Makaleler</li>
                <li runat="server" id="liComment" visible="true">İlgili Yorumlar</li>
                <li>İlgili İçerikler</li>
            </ul>

            <div class="cl"></div>

            <div class="tabdiv active">
                <asp:Label runat="server" ID="lblInfo" ForeColor="Red" Font-Size="16px" Text="Bu kategoriye ait detay bulunmamaktadır!" Visible="false"></asp:Label>
                <asp:Literal ID="ltrContent" runat="server" Visible="false"></asp:Literal>
            </div>
            <div class="tabdiv">
             <table class="Grid" border="0" cellpadding="0" cellspacing="0" width="450" style="float:left;">
            <tr>
                <th>Makaleler</th>
            </tr>
            <tr>
                <td class="noBG">
                    <div style="width:438px; margin-left:0px;">
                        <asp:PlaceHolder ID="ph" runat="server"></asp:PlaceHolder>
                    </div>
                </td>
            </tr>
        </table>
            </div>
            <div class="tabdiv">
             <table class="Grid" border="0" cellpadding="0" cellspacing="0" width="450" style="float:left;">
            <tr>
                <th>Yorumlar</th>
            </tr>
            <tr>
                <td class="noBG">
                    <div style="width:438px; margin-left:0px;">
                       <uc5:UCComments ID="UCComments1" runat="server" />
                    </div>
                </td>
            </tr>
        </table>
            </div>

             <div class="tabdiv">
             <table class="Grid" border="0" cellpadding="0" cellspacing="0" width="450" style="float:left;">
            <tr>
                <th>İlgili İçerikler</th>
            </tr>
            <tr>
                <td class="noBG">
                    <div style="width:438px; margin-left:0px;">
                      <asp:PlaceHolder ID="ph1" runat="server"></asp:PlaceHolder>
                      <%-- <uc6:UCRelatedContent ID="UCRelatedContent1" runat="server" />--%>
        <%--               </div>
                </td>
            </tr>
        </table>
            </div>
        </td></tr>
    </table>
    
</div>--%>
        <div class="cl">
        </div>
    </div>
    <!-- website -->
    <uc4:UCFooter ID="Footer1" runat="server" />
    <uc2:UCFooterJs ID="UCFooterJS1" runat="server" />
    </form>
</body>
</html>
